[Touch-packages] [Bug 1843015] Re: [USB-Audio - Xonar SoundCard, playback] No sound at all

2019-09-06 Thread Ilkka Prusi
So, in short, even though Gnome panel allows setting the device, it does
not allow handling correct /output/ when there are multiple choices?
E.g. only optical connected to receiver instead of analog.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to alsa-driver in Ubuntu.
https://bugs.launchpad.net/bugs/1843015

Title:
  [USB-Audio - Xonar SoundCard, playback] No sound at all

Status in alsa-driver package in Ubuntu:
  New

Bug description:
  After some testing, aplay -D hw:2,2 samplename works but there seems
  to be no way to set that in gnome or for other applications?

  cat /proc/asound/devices 
1:: sequencer
2: [ 2- 0]: digital audio playback
3: [ 2- 0]: digital audio capture
4: [ 2- 1]: digital audio playback
5: [ 2- 1]: digital audio capture
6: [ 2- 2]: digital audio playback
7: [ 2- 3]: digital audio playback
8: [ 2]   : control
9: [ 0- 3]: digital audio playback
   10: [ 0- 7]: digital audio playback
   11: [ 0- 8]: digital audio playback
   12: [ 0- 9]: digital audio playback
   13: [ 0-10]: digital audio playback
   14: [ 0-11]: digital audio playback
   15: [ 0- 0]: hardware dependent
   16: [ 0]   : control
   17: [ 1- 0]: digital audio playback
   18: [ 1- 0]: digital audio capture
   19: [ 1- 1]: digital audio playback
   20: [ 1- 2]: digital audio capture
   21: [ 1- 0]: hardware dependent
   22: [ 1]   : control
   33:: timer

  Further, there is period of no sound at all from optical output when
  starting to play sample.

  ProblemType: Bug
  DistroRelease: Ubuntu 19.04
  Package: alsa-base 1.0.25+dfsg-0ubuntu5
  Uname: Linux 5.2.11 x86_64
  ApportVersion: 2.20.10-0ubuntu27.1
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Fri Sep  6 10:33:58 2019
  InstallationDate: Installed on 2019-08-10 (26 days ago)
  InstallationMedia: Ubuntu 18.10 "Cosmic Cuttlefish" - Release amd64 
(20181017.3)
  PackageArchitecture: all
  SourcePackage: alsa-driver
  Symptom: audio
  Symptom_AlsaPlaybackTest: ALSA playback test through plughw:SoundCard failed
  Symptom_Card: Xonar SoundCard - Xonar SoundCard
  Symptom_Type: No sound at all
  Title: [USB-Audio - Xonar SoundCard, playback] No sound at all
  UpgradeStatus: Upgraded to disco on 2019-08-10 (26 days ago)
  dmi.bios.date: 07/29/2019
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: 1804
  dmi.board.asset.tag: Default string
  dmi.board.name: TUF B450-PLUS GAMING
  dmi.board.vendor: ASUSTeK COMPUTER INC.
  dmi.board.version: Rev X.0x
  dmi.chassis.asset.tag: Default string
  dmi.chassis.type: 3
  dmi.chassis.vendor: Default string
  dmi.chassis.version: Default string
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvr1804:bd07/29/2019:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKCOMPUTERINC.:rnTUFB450-PLUSGAMING:rvrRevX.0x:cvnDefaultstring:ct3:cvrDefaultstring:
  dmi.product.family: To be filled by O.E.M.
  dmi.product.name: System Product Name
  dmi.product.sku: SKU
  dmi.product.version: System Version
  dmi.sys.vendor: System manufacturer

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1843015/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1843015] [NEW] [USB-Audio - Xonar SoundCard, playback] No sound at all

2019-09-06 Thread Ilkka Prusi
Public bug reported:

After some testing, aplay -D hw:2,2 samplename works but there seems to
be no way to set that in gnome or for other applications?

cat /proc/asound/devices 
  1:: sequencer
  2: [ 2- 0]: digital audio playback
  3: [ 2- 0]: digital audio capture
  4: [ 2- 1]: digital audio playback
  5: [ 2- 1]: digital audio capture
  6: [ 2- 2]: digital audio playback
  7: [ 2- 3]: digital audio playback
  8: [ 2]   : control
  9: [ 0- 3]: digital audio playback
 10: [ 0- 7]: digital audio playback
 11: [ 0- 8]: digital audio playback
 12: [ 0- 9]: digital audio playback
 13: [ 0-10]: digital audio playback
 14: [ 0-11]: digital audio playback
 15: [ 0- 0]: hardware dependent
 16: [ 0]   : control
 17: [ 1- 0]: digital audio playback
 18: [ 1- 0]: digital audio capture
 19: [ 1- 1]: digital audio playback
 20: [ 1- 2]: digital audio capture
 21: [ 1- 0]: hardware dependent
 22: [ 1]   : control
 33:: timer

Further, there is period of no sound at all from optical output when
starting to play sample.

ProblemType: Bug
DistroRelease: Ubuntu 19.04
Package: alsa-base 1.0.25+dfsg-0ubuntu5
Uname: Linux 5.2.11 x86_64
ApportVersion: 2.20.10-0ubuntu27.1
Architecture: amd64
CurrentDesktop: ubuntu:GNOME
Date: Fri Sep  6 10:33:58 2019
InstallationDate: Installed on 2019-08-10 (26 days ago)
InstallationMedia: Ubuntu 18.10 "Cosmic Cuttlefish" - Release amd64 (20181017.3)
PackageArchitecture: all
SourcePackage: alsa-driver
Symptom: audio
Symptom_AlsaPlaybackTest: ALSA playback test through plughw:SoundCard failed
Symptom_Card: Xonar SoundCard - Xonar SoundCard
Symptom_Type: No sound at all
Title: [USB-Audio - Xonar SoundCard, playback] No sound at all
UpgradeStatus: Upgraded to disco on 2019-08-10 (26 days ago)
dmi.bios.date: 07/29/2019
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 1804
dmi.board.asset.tag: Default string
dmi.board.name: TUF B450-PLUS GAMING
dmi.board.vendor: ASUSTeK COMPUTER INC.
dmi.board.version: Rev X.0x
dmi.chassis.asset.tag: Default string
dmi.chassis.type: 3
dmi.chassis.vendor: Default string
dmi.chassis.version: Default string
dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvr1804:bd07/29/2019:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKCOMPUTERINC.:rnTUFB450-PLUSGAMING:rvrRevX.0x:cvnDefaultstring:ct3:cvrDefaultstring:
dmi.product.family: To be filled by O.E.M.
dmi.product.name: System Product Name
dmi.product.sku: SKU
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer

** Affects: alsa-driver (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-bug disco wayland-session

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to alsa-driver in Ubuntu.
https://bugs.launchpad.net/bugs/1843015

Title:
  [USB-Audio - Xonar SoundCard, playback] No sound at all

Status in alsa-driver package in Ubuntu:
  New

Bug description:
  After some testing, aplay -D hw:2,2 samplename works but there seems
  to be no way to set that in gnome or for other applications?

  cat /proc/asound/devices 
1:: sequencer
2: [ 2- 0]: digital audio playback
3: [ 2- 0]: digital audio capture
4: [ 2- 1]: digital audio playback
5: [ 2- 1]: digital audio capture
6: [ 2- 2]: digital audio playback
7: [ 2- 3]: digital audio playback
8: [ 2]   : control
9: [ 0- 3]: digital audio playback
   10: [ 0- 7]: digital audio playback
   11: [ 0- 8]: digital audio playback
   12: [ 0- 9]: digital audio playback
   13: [ 0-10]: digital audio playback
   14: [ 0-11]: digital audio playback
   15: [ 0- 0]: hardware dependent
   16: [ 0]   : control
   17: [ 1- 0]: digital audio playback
   18: [ 1- 0]: digital audio capture
   19: [ 1- 1]: digital audio playback
   20: [ 1- 2]: digital audio capture
   21: [ 1- 0]: hardware dependent
   22: [ 1]   : control
   33:: timer

  Further, there is period of no sound at all from optical output when
  starting to play sample.

  ProblemType: Bug
  DistroRelease: Ubuntu 19.04
  Package: alsa-base 1.0.25+dfsg-0ubuntu5
  Uname: Linux 5.2.11 x86_64
  ApportVersion: 2.20.10-0ubuntu27.1
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Fri Sep  6 10:33:58 2019
  InstallationDate: Installed on 2019-08-10 (26 days ago)
  InstallationMedia: Ubuntu 18.10 "Cosmic Cuttlefish" - Release amd64 
(20181017.3)
  PackageArchitecture: all
  SourcePackage: alsa-driver
  Symptom: audio
  Symptom_AlsaPlaybackTest: ALSA playback test through plughw:SoundCard failed
  Symptom_Card: Xonar SoundCard - Xonar SoundCard
  Symptom_Type: No sound at all
  Title: [USB-Audio - Xonar SoundCard, playback] No sound at all
  UpgradeStatus: Upgraded to disco on 2019-08-10 (26 days ago)
  dmi.bios.date: 07/29/2019
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: 1804
  dmi.board.asset.tag: Default string
  dmi.board.name: TUF B450-PLUS GAMING
  dmi.board.vendor: ASUSTeK COMPUTER INC.
  

[Touch-packages] [Bug 1843015] Re: [USB-Audio - Xonar SoundCard, playback] No sound at all

2019-09-06 Thread Ilkka Prusi
After some googling, this is already known bug in pulseaudio?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to alsa-driver in Ubuntu.
https://bugs.launchpad.net/bugs/1843015

Title:
  [USB-Audio - Xonar SoundCard, playback] No sound at all

Status in alsa-driver package in Ubuntu:
  New

Bug description:
  After some testing, aplay -D hw:2,2 samplename works but there seems
  to be no way to set that in gnome or for other applications?

  cat /proc/asound/devices 
1:: sequencer
2: [ 2- 0]: digital audio playback
3: [ 2- 0]: digital audio capture
4: [ 2- 1]: digital audio playback
5: [ 2- 1]: digital audio capture
6: [ 2- 2]: digital audio playback
7: [ 2- 3]: digital audio playback
8: [ 2]   : control
9: [ 0- 3]: digital audio playback
   10: [ 0- 7]: digital audio playback
   11: [ 0- 8]: digital audio playback
   12: [ 0- 9]: digital audio playback
   13: [ 0-10]: digital audio playback
   14: [ 0-11]: digital audio playback
   15: [ 0- 0]: hardware dependent
   16: [ 0]   : control
   17: [ 1- 0]: digital audio playback
   18: [ 1- 0]: digital audio capture
   19: [ 1- 1]: digital audio playback
   20: [ 1- 2]: digital audio capture
   21: [ 1- 0]: hardware dependent
   22: [ 1]   : control
   33:: timer

  Further, there is period of no sound at all from optical output when
  starting to play sample.

  ProblemType: Bug
  DistroRelease: Ubuntu 19.04
  Package: alsa-base 1.0.25+dfsg-0ubuntu5
  Uname: Linux 5.2.11 x86_64
  ApportVersion: 2.20.10-0ubuntu27.1
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Fri Sep  6 10:33:58 2019
  InstallationDate: Installed on 2019-08-10 (26 days ago)
  InstallationMedia: Ubuntu 18.10 "Cosmic Cuttlefish" - Release amd64 
(20181017.3)
  PackageArchitecture: all
  SourcePackage: alsa-driver
  Symptom: audio
  Symptom_AlsaPlaybackTest: ALSA playback test through plughw:SoundCard failed
  Symptom_Card: Xonar SoundCard - Xonar SoundCard
  Symptom_Type: No sound at all
  Title: [USB-Audio - Xonar SoundCard, playback] No sound at all
  UpgradeStatus: Upgraded to disco on 2019-08-10 (26 days ago)
  dmi.bios.date: 07/29/2019
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: 1804
  dmi.board.asset.tag: Default string
  dmi.board.name: TUF B450-PLUS GAMING
  dmi.board.vendor: ASUSTeK COMPUTER INC.
  dmi.board.version: Rev X.0x
  dmi.chassis.asset.tag: Default string
  dmi.chassis.type: 3
  dmi.chassis.vendor: Default string
  dmi.chassis.version: Default string
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvr1804:bd07/29/2019:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKCOMPUTERINC.:rnTUFB450-PLUSGAMING:rvrRevX.0x:cvnDefaultstring:ct3:cvrDefaultstring:
  dmi.product.family: To be filled by O.E.M.
  dmi.product.name: System Product Name
  dmi.product.sku: SKU
  dmi.product.version: System Version
  dmi.sys.vendor: System manufacturer

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1843015/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 882456] Re: Segfaults under deep function recursion

2019-09-06 Thread Bug Watch Updater
** Changed in: dash (Debian)
   Status: Confirmed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to dash in Ubuntu.
https://bugs.launchpad.net/bugs/882456

Title:
  Segfaults under deep function recursion

Status in dash package in Ubuntu:
  Confirmed
Status in dash package in Debian:
  Fix Released

Bug description:
  % dash
  $ foo() { echo $1; foo $(($1+1)); }; foo 1
  1
  2
  ...
  15402
  15403
  zsh: segmentation fault  dash
  %

  ProblemType: Bug
  DistroRelease: Ubuntu 11.10
  Package: dash 0.5.5.1-7.4ubuntu1
  ProcVersionSignature: Ubuntu 3.0.0-12.20-generic 3.0.4
  Uname: Linux 3.0.0-12-generic x86_64
  NonfreeKernelModules: nvidia
  ApportVersion: 1.23-0ubuntu3
  Architecture: amd64
  CheckboxSubmission: b0d31efda01870980e2e5a89390b685c
  CheckboxSystem: 6ce041aeed0a2c17b3343b66d157175d
  Date: Thu Oct 27 10:19:14 2011
  EcryptfsInUse: Yes
  InstallationMedia: Ubuntu 10.10 "Maverick Meerkat" - Release amd64 (20101007)
  ProcEnviron:
   PATH=(custom, user)
   LANG=en_GB.UTF-8
   SHELL=/bin/zsh
  SourcePackage: dash
  UpgradeStatus: Upgraded to oneiric on 2011-05-03 (177 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/dash/+bug/882456/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1843007] [NEW] namespace: make MountFlags=shared work again

2019-09-06 Thread Harri-afaics
Public bug reported:

Systemd in Bionic fails to handle MountFlags correctly. Would you mind
to include
https://github.com/systemd/systemd/commit/37ed15d7edaf59a1fc7c9e3552cd93a83f3814ef
into Bionic? This bug seriously affects Docker > 18.6, see the Docker
release notes for 18.09.1 (https://docs.docker.com/engine/release-
notes/#18091).

** Affects: systemd (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: bionic docker systemd

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1843007

Title:
  namespace: make MountFlags=shared work again

Status in systemd package in Ubuntu:
  New

Bug description:
  Systemd in Bionic fails to handle MountFlags correctly. Would you mind
  to include
  
https://github.com/systemd/systemd/commit/37ed15d7edaf59a1fc7c9e3552cd93a83f3814ef
  into Bionic? This bug seriously affects Docker > 18.6, see the Docker
  release notes for 18.09.1 (https://docs.docker.com/engine/release-
  notes/#18091).

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1843007/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1819074] Re: Keepalived < 2.0.x in Ubuntu 18.04 LTS not compatible with systemd-networkd

2019-09-06 Thread Wes
Medium?  I've had this take a few prod clusters offline at highly
inconvenient times, it effectively makes keepalived on 18.04 unfit for
purpose.  We've had to build our own keepalived packages to keep things
running - I think you need to give this a bit more priority please

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1819074

Title:
  Keepalived < 2.0.x in Ubuntu 18.04 LTS  not compatible with systemd-
  networkd

Status in keepalived package in Ubuntu:
  Fix Released
Status in netplan.io package in Ubuntu:
  Fix Released
Status in systemd package in Ubuntu:
  Fix Released
Status in keepalived source package in Bionic:
  Triaged
Status in netplan.io source package in Bionic:
  New
Status in systemd source package in Bionic:
  New

Bug description:
  Systemd-networkd clobbers VIPs placed by other daemons on any
  reconfiguration triggering systemd-networkd restart (netplan apply for
  example).  Keepalived < version 2.0.x will not restore a VIP lost in
  this fashion, breaking high availability on Ubuntu 18.04 LTS.  A
  backport for keepalived >= 2.0.x should fix the issue.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/keepalived/+bug/1819074/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1830914] Re: software-properties-gtk does not run at all!

2019-09-06 Thread Tim Richardson
I have this problem in one Ubuntu 18.04


journalctl -e

Sep 06 17:54:28 ubuntu dbus-daemon[723]: [system] Activating service 
name='com.ubuntu.SoftwareProperties' requested by ':1.106' (uid=1000 pid=6185 
comm="/usr/bin/python3 /usr/bin/software-properties-gtk " label="unconfined") 
(using servicehelper)
Sep 06 17:54:28 ubuntu com.ubuntu.SoftwareProperties[723]: Unable to init 
server: Could not connect: Connection refused
Sep 06 17:54:28 ubuntu com.ubuntu.SoftwareProperties[723]: Unable to init 
server: Could not connect: Connection refused
Sep 06 17:54:28 ubuntu dbus-daemon[723]: [system] Successfully activated 
service 'com.ubuntu.SoftwareProperties'
Sep 06 17:54:28 ubuntu com.ubuntu.SoftwareProperties[723]: Traceback (most 
recent call last):
Sep 06 17:54:28 ubuntu com.ubuntu.SoftwareProperties[723]:   File 
"/usr/lib/software-properties/software-properties-dbus", line 68, in 
Sep 06 17:54:28 ubuntu com.ubuntu.SoftwareProperties[723]: server = 
SoftwarePropertiesDBus(bus, datadir=datadir)
Sep 06 17:54:28 ubuntu com.ubuntu.SoftwareProperties[723]:   File 
"/usr/lib/python3/dist-packages/softwareproperties/dbus/SoftwarePropertiesDBus.py",
 line 66, in __init__
Sep 06 17:54:28 ubuntu com.ubuntu.SoftwareProperties[723]: 
self._livepatch_service = LivepatchService()
Sep 06 17:54:28 ubuntu com.ubuntu.SoftwareProperties[723]:   File 
"/usr/lib/python3/dist-packages/softwareproperties/LivepatchService.py", line 
93, in __init__
Sep 06 17:54:28 ubuntu com.ubuntu.SoftwareProperties[723]: self._session = 
requests_unixsocket.Session()
Sep 06 17:54:28 ubuntu com.ubuntu.SoftwareProperties[723]: NameError: name 
'requests_unixsocket' is not defined

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to software-properties in
Ubuntu.
https://bugs.launchpad.net/bugs/1830914

Title:
  software-properties-gtk does not run at all!

Status in software-properties package in Ubuntu:
  Expired

Bug description:
  software-properties-gtk does not even start!

  
  $ software-properties-gtk --debug

  ENABLED COMPS: {'universe', 'main'}
  INTERNET COMPS: {'universe', 'main'}
  MAIN SOURCES
   URI: http://archive.ubuntu.com/ubuntu
   Comps: ['main']
   Enabled: True
   Valid: True
   MatchURI: archive.ubuntu.com/ubuntu
   BaseURI: http://archive.ubuntu.com/ubuntu

  
   URI: http://archive.ubuntu.com/ubuntu
   Comps: ['universe']
   Enabled: True
   Valid: True
   MatchURI: archive.ubuntu.com/ubuntu
   BaseURI: http://archive.ubuntu.com/ubuntu

  
  CHILD SOURCES
   URI: http://archive.ubuntu.com/ubuntu
   Comps: ['main']
   Enabled: True
   Valid: True
   MatchURI: archive.ubuntu.com/ubuntu
   BaseURI: None

  
   URI: http://archive.ubuntu.com/ubuntu
   Comps: ['universe']
   Enabled: True
   Valid: True
   MatchURI: archive.ubuntu.com/ubuntu
   BaseURI: None

  
   URI: http://archive.ubuntu.com/ubuntu
   Comps: ['main']
   Enabled: True
   Valid: True
   MatchURI: archive.ubuntu.com/ubuntu|security.ubuntu.com
   BaseURI: http://security.ubuntu.com/ubuntu/

  
   URI: http://archive.ubuntu.com/ubuntu
   Comps: ['universe']
   Enabled: True
   Valid: True
   MatchURI: archive.ubuntu.com/ubuntu|security.ubuntu.com
   BaseURI: http://security.ubuntu.com/ubuntu/

  
   URI: http://archive.ubuntu.com/ubuntu
   Comps: ['universe', 'main']
   Enabled: True
   Valid: True
   MatchURI: archive.ubuntu.com/ubuntu
   BaseURI: None

  
  CDROM SOURCES
  SOURCE CODE SOURCES
  DISABLED SOURCES
  ISV
  Traceback (most recent call last):
File "/usr/bin/software-properties-gtk", line 100, in 
  app = SoftwarePropertiesGtk(datadir=options.data_dir, options=options, 
file=file)
File 
"/usr/lib/python3/dist-packages/softwareproperties/gtk/SoftwarePropertiesGtk.py",
 line 200, in __init__
  self.init_livepatch()
File 
"/usr/lib/python3/dist-packages/softwareproperties/gtk/SoftwarePropertiesGtk.py",
 line 1482, in init_livepatch
  self.livepatch_page = LivepatchPage(self)
File 
"/usr/lib/python3/dist-packages/softwareproperties/gtk/LivepatchPage.py", line 
51, in __init__
  self._lps = LivepatchService()
File 
"/usr/lib/python3/dist-packages/softwareproperties/LivepatchService.py", line 
93, in __init__
  self._session = requests_unixsocket.Session()
  NameError: name 'requests_unixsocket' is not defined

  {Exited with code 1.}

  
  $ lsb_release -a
  No LSB modules are available.
  Distributor ID:   Ubuntu
  Description:  Ubuntu 19.04
  Release:  19.04
  Codename: disco

  
  $ dpkg-query -l software-properties-gtk python3-requests-unixsocket

  Desired=Unknown/Install/Remove/Purge/Hold
  | Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
  |/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
  ||/ NameVersion  Architecture Description
  

[Touch-packages] [Bug 1830914] Re: software-properties-gtk does not run at all!

2019-09-06 Thread Tim Richardson
I had the module python3-six installed but after I reinstalled it,
software-properties-gtk started working again.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to software-properties in
Ubuntu.
https://bugs.launchpad.net/bugs/1830914

Title:
  software-properties-gtk does not run at all!

Status in software-properties package in Ubuntu:
  Expired

Bug description:
  software-properties-gtk does not even start!

  
  $ software-properties-gtk --debug

  ENABLED COMPS: {'universe', 'main'}
  INTERNET COMPS: {'universe', 'main'}
  MAIN SOURCES
   URI: http://archive.ubuntu.com/ubuntu
   Comps: ['main']
   Enabled: True
   Valid: True
   MatchURI: archive.ubuntu.com/ubuntu
   BaseURI: http://archive.ubuntu.com/ubuntu

  
   URI: http://archive.ubuntu.com/ubuntu
   Comps: ['universe']
   Enabled: True
   Valid: True
   MatchURI: archive.ubuntu.com/ubuntu
   BaseURI: http://archive.ubuntu.com/ubuntu

  
  CHILD SOURCES
   URI: http://archive.ubuntu.com/ubuntu
   Comps: ['main']
   Enabled: True
   Valid: True
   MatchURI: archive.ubuntu.com/ubuntu
   BaseURI: None

  
   URI: http://archive.ubuntu.com/ubuntu
   Comps: ['universe']
   Enabled: True
   Valid: True
   MatchURI: archive.ubuntu.com/ubuntu
   BaseURI: None

  
   URI: http://archive.ubuntu.com/ubuntu
   Comps: ['main']
   Enabled: True
   Valid: True
   MatchURI: archive.ubuntu.com/ubuntu|security.ubuntu.com
   BaseURI: http://security.ubuntu.com/ubuntu/

  
   URI: http://archive.ubuntu.com/ubuntu
   Comps: ['universe']
   Enabled: True
   Valid: True
   MatchURI: archive.ubuntu.com/ubuntu|security.ubuntu.com
   BaseURI: http://security.ubuntu.com/ubuntu/

  
   URI: http://archive.ubuntu.com/ubuntu
   Comps: ['universe', 'main']
   Enabled: True
   Valid: True
   MatchURI: archive.ubuntu.com/ubuntu
   BaseURI: None

  
  CDROM SOURCES
  SOURCE CODE SOURCES
  DISABLED SOURCES
  ISV
  Traceback (most recent call last):
File "/usr/bin/software-properties-gtk", line 100, in 
  app = SoftwarePropertiesGtk(datadir=options.data_dir, options=options, 
file=file)
File 
"/usr/lib/python3/dist-packages/softwareproperties/gtk/SoftwarePropertiesGtk.py",
 line 200, in __init__
  self.init_livepatch()
File 
"/usr/lib/python3/dist-packages/softwareproperties/gtk/SoftwarePropertiesGtk.py",
 line 1482, in init_livepatch
  self.livepatch_page = LivepatchPage(self)
File 
"/usr/lib/python3/dist-packages/softwareproperties/gtk/LivepatchPage.py", line 
51, in __init__
  self._lps = LivepatchService()
File 
"/usr/lib/python3/dist-packages/softwareproperties/LivepatchService.py", line 
93, in __init__
  self._session = requests_unixsocket.Session()
  NameError: name 'requests_unixsocket' is not defined

  {Exited with code 1.}

  
  $ lsb_release -a
  No LSB modules are available.
  Distributor ID:   Ubuntu
  Description:  Ubuntu 19.04
  Release:  19.04
  Codename: disco

  
  $ dpkg-query -l software-properties-gtk python3-requests-unixsocket

  Desired=Unknown/Install/Remove/Purge/Hold
  | Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
  |/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
  ||/ NameVersion  Architecture Description
  
+++-===---===
  ii  python3-requests-unixsocket 0.1.5-3  all  Use requests to 
talk HTTP via a UNIX domain socket - Python 3.x
  ii  software-properties-gtk 0.97.11  all  manage the 
repositories that you install software from (gtk)

  
  $ sudo apt-get update
  {Works.}

  $ sudo apt-get dist-upgrade
  {Works.}

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/software-properties/+bug/1830914/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1813131] Re: i965_drv_video.so doesn't load any more if a Wayland server is present [failed to resolve wl_drm_interface(): /lib/x86_64-linux-gnu/libEGL_mesa.so.0: undefined symbo

2019-09-06 Thread Launchpad Bug Tracker
Status changed to 'Confirmed' because the bug affects multiple users.

** Changed in: intel-vaapi-driver (Ubuntu Bionic)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libva in Ubuntu.
https://bugs.launchpad.net/bugs/1813131

Title:
  i965_drv_video.so doesn't load any more if a Wayland server is present
  [failed to resolve wl_drm_interface(): /lib/x86_64-linux-
  gnu/libEGL_mesa.so.0: undefined symbol: wl_drm_interface]

Status in Libva:
  Fix Released
Status in intel-vaapi-driver package in Ubuntu:
  Fix Released
Status in libva package in Ubuntu:
  Fix Released
Status in mesa package in Ubuntu:
  Invalid
Status in intel-vaapi-driver source package in Bionic:
  Confirmed
Status in libva source package in Bionic:
  Confirmed
Status in mesa source package in Bionic:
  Invalid

Bug description:
  If a Wayland server is present (anywhere on the system including even
  the gdm3 login screen) then i965_drv_video.so fails to initialize:

  $ vainfo 
  libva info: VA-API version 1.3.0
  libva info: va_getDriverName() returns 0
  libva info: Trying to open /usr/lib/x86_64-linux-gnu/dri/i965_drv_video.so
  libva info: Found init function __vaDriverInit_1_2
  error: failed to resolve wl_drm_interface(): 
/lib/x86_64-linux-gnu/libEGL_mesa.so.0: undefined symbol: wl_drm_interface
  libva error: /usr/lib/x86_64-linux-gnu/dri/i965_drv_video.so init failed
  libva info: va_openDriver() returns -1
  vaInitialize failed with error code -1 (unknown libva error),exit

  $ mpv bbb_sunflower_2160p_60fps_normal.mp4 
  Playing: bbb_sunflower_2160p_60fps_normal.mp4
   (+) Video --vid=1 (*) (h264 3840x2160 60.000fps)
   (+) Audio --aid=1 (*) (mp3 2ch 48000Hz)
   Audio --aid=2 (*) (ac3 6ch 48000Hz)
  File tags:
   Artist: Blender Foundation 2008, Janus Bager Kristensen 2013
   Comment: Creative Commons Attribution 3.0 - http://bbb3d.renderfarming.net
   Composer: Sacha Goedegebure
   Genre: Animation
   Title: Big Buck Bunny, Sunflower version
  error: failed to resolve wl_drm_interface(): 
/lib/x86_64-linux-gnu/libEGL_mesa.so.0: undefined symbol: wl_drm_interface
  [vaapi] libva: /usr/lib/x86_64-linux-gnu/dri/i965_drv_video.so init failed

  Meanwhile, it continues to work after you have logged into a Xorg
  session.

  ProblemType: Bug
  DistroRelease: Ubuntu 19.04
  Package: i965-va-driver 2.2.0-0ubuntu1
  ProcVersionSignature: Ubuntu 4.18.0-11.12-generic 4.18.12
  Uname: Linux 4.18.0-11-generic x86_64
  ApportVersion: 2.20.10-0ubuntu19
  Architecture: amd64
  Date: Thu Jan 24 16:54:21 2019
  InstallationDate: Installed on 2018-12-04 (51 days ago)
  InstallationMedia: Ubuntu 19.04 "Disco Dingo" - Alpha amd64 (20181203)
  SourcePackage: intel-vaapi-driver
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/libva/+bug/1813131/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1813131] Re: i965_drv_video.so doesn't load any more if a Wayland server is present [failed to resolve wl_drm_interface(): /lib/x86_64-linux-gnu/libEGL_mesa.so.0: undefined symbo

2019-09-06 Thread Launchpad Bug Tracker
Status changed to 'Confirmed' because the bug affects multiple users.

** Changed in: libva (Ubuntu Bionic)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libva in Ubuntu.
https://bugs.launchpad.net/bugs/1813131

Title:
  i965_drv_video.so doesn't load any more if a Wayland server is present
  [failed to resolve wl_drm_interface(): /lib/x86_64-linux-
  gnu/libEGL_mesa.so.0: undefined symbol: wl_drm_interface]

Status in Libva:
  Fix Released
Status in intel-vaapi-driver package in Ubuntu:
  Fix Released
Status in libva package in Ubuntu:
  Fix Released
Status in mesa package in Ubuntu:
  Invalid
Status in intel-vaapi-driver source package in Bionic:
  Confirmed
Status in libva source package in Bionic:
  Confirmed
Status in mesa source package in Bionic:
  Invalid

Bug description:
  If a Wayland server is present (anywhere on the system including even
  the gdm3 login screen) then i965_drv_video.so fails to initialize:

  $ vainfo 
  libva info: VA-API version 1.3.0
  libva info: va_getDriverName() returns 0
  libva info: Trying to open /usr/lib/x86_64-linux-gnu/dri/i965_drv_video.so
  libva info: Found init function __vaDriverInit_1_2
  error: failed to resolve wl_drm_interface(): 
/lib/x86_64-linux-gnu/libEGL_mesa.so.0: undefined symbol: wl_drm_interface
  libva error: /usr/lib/x86_64-linux-gnu/dri/i965_drv_video.so init failed
  libva info: va_openDriver() returns -1
  vaInitialize failed with error code -1 (unknown libva error),exit

  $ mpv bbb_sunflower_2160p_60fps_normal.mp4 
  Playing: bbb_sunflower_2160p_60fps_normal.mp4
   (+) Video --vid=1 (*) (h264 3840x2160 60.000fps)
   (+) Audio --aid=1 (*) (mp3 2ch 48000Hz)
   Audio --aid=2 (*) (ac3 6ch 48000Hz)
  File tags:
   Artist: Blender Foundation 2008, Janus Bager Kristensen 2013
   Comment: Creative Commons Attribution 3.0 - http://bbb3d.renderfarming.net
   Composer: Sacha Goedegebure
   Genre: Animation
   Title: Big Buck Bunny, Sunflower version
  error: failed to resolve wl_drm_interface(): 
/lib/x86_64-linux-gnu/libEGL_mesa.so.0: undefined symbol: wl_drm_interface
  [vaapi] libva: /usr/lib/x86_64-linux-gnu/dri/i965_drv_video.so init failed

  Meanwhile, it continues to work after you have logged into a Xorg
  session.

  ProblemType: Bug
  DistroRelease: Ubuntu 19.04
  Package: i965-va-driver 2.2.0-0ubuntu1
  ProcVersionSignature: Ubuntu 4.18.0-11.12-generic 4.18.12
  Uname: Linux 4.18.0-11-generic x86_64
  ApportVersion: 2.20.10-0ubuntu19
  Architecture: amd64
  Date: Thu Jan 24 16:54:21 2019
  InstallationDate: Installed on 2018-12-04 (51 days ago)
  InstallationMedia: Ubuntu 19.04 "Disco Dingo" - Alpha amd64 (20181203)
  SourcePackage: intel-vaapi-driver
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/libva/+bug/1813131/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1842651] Re: Regression: after Uprade from udev_237-3ubuntu10.25 to udev_237-3ubuntu10.26 network interfaces don't get renamed by 70-persistent-network.rules

2019-09-06 Thread Chris Coulson
Rather than going through -proposed, it needs to go via one of our
security PPAs (which are built without -updates) and then copied across,
which is something I can do.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1842651

Title:
  Regression: after Uprade from udev_237-3ubuntu10.25 to
  udev_237-3ubuntu10.26 network interfaces don't get renamed by 70
  -persistent-network.rules

Status in OEM Priority Project:
  In Progress
Status in systemd package in Ubuntu:
  In Progress

Bug description:
  [Impact]

   * Many server users upgraded from previous Ubuntu LTS series, such as
  14.04 and 16.04, will be affected by this regression.

   * Because there is /etc/udev/rules/70-persistent-network.rules or
  /etc/udev/rules.d/70-persistent-net.rules generated by
  /lib/udev/write_net_rules left.

   * The previous SRU commit of LP: #1837700 doesn't cover this
  persistent network rule.

  [Test Case]

   * It needs to have two Ethernet devices and provides
  /etc/udev/rules.d/70-persistent-net.rules as below.

  SUBSYSTEM=="net", ACTION=="add", ATTR{address}=="00:30:18:cb:5b:55", 
NAME="eth0"
  SUBSYSTEM=="net", ACTION=="add", ATTR{address}=="00:30:18:cb:5b:56", 
NAME="eth1"

  [Regression Potential]

   * When users upgrade to next LTS 20.04, they may also encounter this
  issue because Debian has dropped the same patch.

   * We need to figure another way to avoid this regression for next LTS
  20.04.

   * Adding back the origial patch from Debian will casue another issue.
  (LP: #1837700)

  [Other Info]

  Since the latest update from udev_237-3ubuntu10.25 and
  systemd_237-3ubuntu10.25 to udev_237-3ubuntu10.26 and
  systemd_237-3ubuntu10.26 the renaming of network interfaces by
  /etc/udev/rules/70-persistent-network.rules does not work.

  /etc/udev/rules/70-persistent-network.rules:
  SUBSYSTEM=="net", ACTION=="add", ATTR{address}=="00:30:18:cb:5b:55", 
NAME="eth0"
  SUBSYSTEM=="net", ACTION=="add", ATTR{address}=="00:30:18:cb:5b:56", 
NAME="eth1"

  /var/log/syslog:
  systemd-udevd[423]: Error changing net interface name 'eth1' to 'eth0': File 
exists

  When I downgrade the packages to the version with 237-3ubuntu10.25 the 
following messages are in /var/log/syslog:
  Sep  4 13:10:09 brutus kernel: [4.518507] igb :04:00.0 rename2: 
renamed from eth0
  Sep  4 13:10:09 brutus kernel: [4.565081] igb :07:00.0 eth0: renamed 
from eth1

  The latest version does not rename the interfaces temporary if there
  is a conflict!

  Manually installing the old packages with
  dpkg -i libacl1_2.2.52-3_amd64.deb libsystemd0_237-3ubuntu10.25_amd64.deb 
libudev1_237-3ubuntu10.25_amd64.deb systemd_237-3ubuntu10.25_amd64.deb 
systemd-sysv_237-3ubuntu10.25_amd64.deb udev_237-3ubuntu10.25_amd64.deb
  did fix the problem temporary.

To manage notifications about this bug go to:
https://bugs.launchpad.net/oem-priority/+bug/1842651/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1657646] Re: [20.04] Missing thin-provisioning-tools prevents VG with thin pool LV from being (de)activated, but not its creation

2019-09-06 Thread Christian Ehrhardt 
** Merge proposal linked:
   
https://code.launchpad.net/~paelzer/ubuntu/+source/lvm2/+git/lvm2/+merge/372393

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to lvm2 in Ubuntu.
https://bugs.launchpad.net/bugs/1657646

Title:
  [20.04] Missing thin-provisioning-tools prevents VG with thin pool LV
  from being (de)activated, but not its creation

Status in The Ubuntu-power-systems project:
  Triaged
Status in lvm2 package in Ubuntu:
  Confirmed
Status in lvm2 package in Debian:
  New

Bug description:
  Creating a thin pool LV is allowed even when thin-provisioning-tools
  is not installed. But deactivating or activating that VG fails. Since
  deactivating the VG usually only happens at reboot, the user might
  fail to notice this big problem until then.

  I think the lvconvert tool, used to combine the two "thin LVs" into a
  thin pool LV, should refuse to run if thin-provisioning-tools, or the
  needed scripts, aren't installed.

  Steps to reproduce:
  root@15-89:~# vgcreate vg /dev/vdb1
    Volume group "vg" successfully created

  root@15-89:~# vgs
    VG   #PV #LV #SN Attr   VSize  VFree
    vg 1   0   0 wz--n- 40.00g 40.00g

  root@15-89:~# lvcreate -n pool0 -l 90%VG vg
    Logical volume "pool0" created.

  root@15-89:~# lvcreate -n pool0meta -l 5%VG vg
    Logical volume "pool0meta" created.

  root@15-89:~# lvs
    LVVG   Attr   LSize  Pool Origin Data%  Meta%  Move Log 
Cpy%Sync Convert
    pool0 vg   -wi-a- 36.00g
    pool0meta vg   -wi-a-  2.00g

  root@15-89:~# ll /dev/mapper/
  total 0
  drwxr-xr-x  2 root root 100 Jun 21 14:15 ./
  drwxr-xr-x 20 root root3820 Jun 21 14:15 ../
  crw---  1 root root 10, 236 Jun 21 13:15 control
  lrwxrwxrwx  1 root root   7 Jun 21 14:14 vg-pool0 -> ../dm-0
  lrwxrwxrwx  1 root root   7 Jun 21 14:15 vg-pool0meta -> ../dm-1

  root@15-89:~# lvconvert --type thin-pool --poolmetadata vg/pool0meta vg/pool0
    WARNING: Converting logical volume vg/pool0 and vg/pool0meta to pool's data 
and metadata volumes.
    THIS WILL DESTROY CONTENT OF LOGICAL VOLUME (filesystem etc.)
  Do you really want to convert vg/pool0 and vg/pool0meta? [y/n]: y
    Converted vg/pool0 to thin pool.

  root@15-89:~# ll /dev/mapper/
  total 0
  drwxr-xr-x  2 root root 120 Jun 21 14:15 ./
  drwxr-xr-x 20 root root3840 Jun 21 14:15 ../
  crw---  1 root root 10, 236 Jun 21 13:15 control
  lrwxrwxrwx  1 root root   7 Jun 21 14:15 vg-pool0 -> ../dm-2
  lrwxrwxrwx  1 root root   7 Jun 21 14:15 vg-pool0_tdata -> ../dm-1
  lrwxrwxrwx  1 root root   7 Jun 21 14:15 vg-pool0_tmeta -> ../dm-0
  root@15-89:~# lvs -a
    LV  VG   Attr   LSize  Pool Origin Data%  Meta%  Move Log 
Cpy%S
  ync Convert
    [lvol0_pmspare] vg   ewi---  2.00g
    pool0   vg   twi-a-tz-- 36.00g 0.00   0.01
    [pool0_tdata]   vg   Twi-ao 36.00g
    [pool0_tmeta]   vg   ewi-ao  2.00g

  If you now reboot the system, all that is gone:
  root@15-89:~# ll /dev/mapper/
  total 0
  drwxr-xr-x  2 root root  60 Jun 21 14:28 ./
  drwxr-xr-x 19 root root3760 Jun 21 14:28 ../
  crw---  1 root root 10, 236 Jun 21 14:28 control

  The same happens if you deactivate the VG (which the reboot
  undoubtedly triggers). It fails because of a missing
  /usr/sbin/thin_check which is provided by the thin-provisioning-tools
  package:

  root@15-89:~# vgchange -a n
    /usr/sbin/thin_check: execvp failed: No such file or directory
    WARNING: Integrity check of metadata for pool vg/pool0 failed.
    0 logical volume(s) in volume group "vg" now active

  root@15-89:~# ll /dev/mapper/
  total 0
  drwxr-xr-x  2 root root  60 Jun 21 14:29 ./
  drwxr-xr-x 19 root root3760 Jun 21 14:29 ../
  crw---  1 root root 10, 236 Jun 21 14:28 control

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu-power-systems/+bug/1657646/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1840965] Re: dhclient initramfs code writes invalid net-eth0.conf

2019-09-06 Thread Launchpad Bug Tracker
This bug was fixed in the package isc-dhcp - 4.4.1-2ubuntu5

---
isc-dhcp (4.4.1-2ubuntu5) eoan; urgency=medium

  * Apply patch from Alkis Georgopoulos to generate correct
net{,6}-${iface}.conf files when DHCP supplies multiple DNS servers.
(LP: #1840965).

 -- Michael Hudson-Doyle   Tue, 03 Sep 2019
10:10:56 +1200

** Changed in: isc-dhcp (Ubuntu Eoan)
   Status: Triaged => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to initramfs-tools in Ubuntu.
https://bugs.launchpad.net/bugs/1840965

Title:
  dhclient initramfs code writes invalid net-eth0.conf

Status in initramfs-tools package in Ubuntu:
  New
Status in isc-dhcp package in Ubuntu:
  Fix Released
Status in initramfs-tools source package in Eoan:
  New
Status in isc-dhcp source package in Eoan:
  Fix Released

Bug description:
  Since 18.10, Ubuntu switched to using dhclient instead of ipconfig in 
initramfs configure_networking(). And now a malformed /run/net-enp0s3.conf is 
generated, with unquoted values like the following, which are a shell syntax 
error:
  IPV4DNS0=1.2.3.1 1.2.3.2 1.2.3.3

  This file is sourced by initramfs-tools/init in various places, and produces 
the following message a lot of times:
  /init: /run/net-enp0s3.conf: line 8: 1.2.3.2: not found

  I.e. values should be quoted, and 2 DNS entries should go in
  IPV4DNS0/IPV4DNS1, not multiple unquoted ones in IPV4DNS0.

  Here is the erroneous file that dhclient-enter-hooks.d/config produces:
  DEVICE=enp0s3
  PROTO=dhcp
  IPV4PROTO=dhcp
  IPV4ADDR=10.161.254.38
  IPV4NETMASK=255.255.255.0
  IPV4BROADCAST=10.161.254.255
  IPV4GATEWAY=10.161.254.1
  IPV4DNS0=194.63.237.4 194.63.239.164 194.63.238.4
  ROOTSERVER=10.161.254.1
  HOSTNAME=
  DNSDOMAIN=

  Here is the correct one that ipconfig produces:
  DEVICE='enp0s3'
  PROTO='dhcp'
  IPV4ADDR='10.161.254.38'
  IPV4BROADCAST='10.161.254.255'
  IPV4NETMASK='255.255.255.0'
  IPV4GATEWAY='10.161.254.1'
  IPV4DNS0='194.63.237.4'
  IPV4DNS1='194.63.239.164'
  HOSTNAME=''
  DNSDOMAIN=''
  NISDOMAIN=''
  ROOTSERVER='10.161.254.1'
  ROOTPATH=''
  filename=''
  UPTIME='594'
  DHCPLEASETIME='25200'
  DOMAINSEARCH=''

  I.e. please either fix dhclient-enter-hooks.d/config, or revert the
  ipconfig => dhclient change.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/initramfs-tools/+bug/1840965/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1773682] Re: Skype notification area icon corrupted

2019-09-06 Thread Bug Watch Updater
** Changed in: gtk+3.0 (Debian)
   Status: Unknown => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gtk+3.0 in Ubuntu.
https://bugs.launchpad.net/bugs/1773682

Title:
  Skype notification area icon corrupted

Status in Ubuntu MATE:
  Invalid
Status in gtk+3.0 package in Ubuntu:
  New
Status in gtk+3.0 package in Debian:
  Confirmed

Bug description:
  System Version: Ubuntu MATE 18.04
  Package: mate-panel 1.20.1-3ubuntu1

  How to reproduce:
  - log in with new user profile
  - install Skype from Software Boutique
  - launch Skype

  => icon in nofitication area is corrupted (see screenshot)

  This is already noticeable on default panel size, enlarging the panel
  makes it even more obvious with lots of duplicate Skype icons
  appearing.

  This bug does not appear on the GTK2-based Ubuntu MATE 16.04 running
  the exact same Skype version.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu-mate/+bug/1773682/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1830914] Re: software-properties-gtk does not run at all!

2019-09-06 Thread Tim Richardson
>>> import dateutil.parser
Traceback (most recent call last):
  File "", line 1, in 
  File "/usr/lib/python3/dist-packages/dateutil/parser.py", line 40, in 
from six import text_type, binary_type, integer_types
ModuleNotFoundError: No module named 'six'

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to software-properties in
Ubuntu.
https://bugs.launchpad.net/bugs/1830914

Title:
  software-properties-gtk does not run at all!

Status in software-properties package in Ubuntu:
  Expired

Bug description:
  software-properties-gtk does not even start!

  
  $ software-properties-gtk --debug

  ENABLED COMPS: {'universe', 'main'}
  INTERNET COMPS: {'universe', 'main'}
  MAIN SOURCES
   URI: http://archive.ubuntu.com/ubuntu
   Comps: ['main']
   Enabled: True
   Valid: True
   MatchURI: archive.ubuntu.com/ubuntu
   BaseURI: http://archive.ubuntu.com/ubuntu

  
   URI: http://archive.ubuntu.com/ubuntu
   Comps: ['universe']
   Enabled: True
   Valid: True
   MatchURI: archive.ubuntu.com/ubuntu
   BaseURI: http://archive.ubuntu.com/ubuntu

  
  CHILD SOURCES
   URI: http://archive.ubuntu.com/ubuntu
   Comps: ['main']
   Enabled: True
   Valid: True
   MatchURI: archive.ubuntu.com/ubuntu
   BaseURI: None

  
   URI: http://archive.ubuntu.com/ubuntu
   Comps: ['universe']
   Enabled: True
   Valid: True
   MatchURI: archive.ubuntu.com/ubuntu
   BaseURI: None

  
   URI: http://archive.ubuntu.com/ubuntu
   Comps: ['main']
   Enabled: True
   Valid: True
   MatchURI: archive.ubuntu.com/ubuntu|security.ubuntu.com
   BaseURI: http://security.ubuntu.com/ubuntu/

  
   URI: http://archive.ubuntu.com/ubuntu
   Comps: ['universe']
   Enabled: True
   Valid: True
   MatchURI: archive.ubuntu.com/ubuntu|security.ubuntu.com
   BaseURI: http://security.ubuntu.com/ubuntu/

  
   URI: http://archive.ubuntu.com/ubuntu
   Comps: ['universe', 'main']
   Enabled: True
   Valid: True
   MatchURI: archive.ubuntu.com/ubuntu
   BaseURI: None

  
  CDROM SOURCES
  SOURCE CODE SOURCES
  DISABLED SOURCES
  ISV
  Traceback (most recent call last):
File "/usr/bin/software-properties-gtk", line 100, in 
  app = SoftwarePropertiesGtk(datadir=options.data_dir, options=options, 
file=file)
File 
"/usr/lib/python3/dist-packages/softwareproperties/gtk/SoftwarePropertiesGtk.py",
 line 200, in __init__
  self.init_livepatch()
File 
"/usr/lib/python3/dist-packages/softwareproperties/gtk/SoftwarePropertiesGtk.py",
 line 1482, in init_livepatch
  self.livepatch_page = LivepatchPage(self)
File 
"/usr/lib/python3/dist-packages/softwareproperties/gtk/LivepatchPage.py", line 
51, in __init__
  self._lps = LivepatchService()
File 
"/usr/lib/python3/dist-packages/softwareproperties/LivepatchService.py", line 
93, in __init__
  self._session = requests_unixsocket.Session()
  NameError: name 'requests_unixsocket' is not defined

  {Exited with code 1.}

  
  $ lsb_release -a
  No LSB modules are available.
  Distributor ID:   Ubuntu
  Description:  Ubuntu 19.04
  Release:  19.04
  Codename: disco

  
  $ dpkg-query -l software-properties-gtk python3-requests-unixsocket

  Desired=Unknown/Install/Remove/Purge/Hold
  | Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
  |/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
  ||/ NameVersion  Architecture Description
  
+++-===---===
  ii  python3-requests-unixsocket 0.1.5-3  all  Use requests to 
talk HTTP via a UNIX domain socket - Python 3.x
  ii  software-properties-gtk 0.97.11  all  manage the 
repositories that you install software from (gtk)

  
  $ sudo apt-get update
  {Works.}

  $ sudo apt-get dist-upgrade
  {Works.}

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/software-properties/+bug/1830914/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1251178] Re: qdbus and qdbusviewer crash with "No such file or directory"

2019-09-06 Thread Jacek Sandomierz
Because this is top post being shown in Google search for problems with
qdbusviewer and they persist also on 18.04 here is the solution:

1. Find an error message. In my case (even after installing default):

qdbusviewer: could not exec '/usr/lib/qt5/bin/qdbusviewer': No such
file or directory

2. Find in which package is file being reported as missing:

$ apt-file search /usr/lib/qt5/bin/qdbusviewer
qttools5-dev-tools: /usr/lib/qt5/bin/qdbusviewer

3. Install found package:

   $ sudo apt install qttools5-dev-tools

Voila!

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to qt4-x11 in Ubuntu.
https://bugs.launchpad.net/bugs/1251178

Title:
  qdbus and qdbusviewer crash with "No such file or directory"

Status in qt4-x11 package in Ubuntu:
  Confirmed
Status in qtchooser package in Ubuntu:
  Confirmed

Bug description:
  Release: Ubuntu 13.10 (32-bit)

  Package versions:
  qtdbus 4:4.8.4+dfsg-0ubuntu18
  qtchooser 26-3ubuntu2

  Expected behavior:

  The `qdbus` program runs, as does the related program `qdbusviewer`.

  Actual behavior:

  If I run the `qdbus` program, it always crashes:

  user@host:~$ qdbus --help
  qdbus: could not exec '/usr/lib/i386-linux-gnu/qt5/bin/qdbus': No such file 
or directory

  The `qdbus` executable is actually:

  user@host:~$ ls --full-time $(which qdbus)
  lrwxrwxrwx 1 root root 9 2013-08-07 14:48:40.0 + /usr/bin/qdbus 
-> qtchooser

  Note that `/usr/lib/i386-linux-gnu/qt4/bin/qdbus` exists and seems to
  work if I invoke it directly.

  There's a `qdbus-qt5` package in the universe repository. It was not
  pulled in as a dependency, but manually installing it fixes the issue.
  Therefore it's either a packaging error or a bug in qtchooser.

  A similar thing happens if I run `qdbusviewer`:

  user@host:~$ qdbusviewer
  qdbusviewer: could not exec '/usr/lib/i386-linux-gnu/qt5/bin/qdbusviewer': No 
such file or directory

  except that installing `qdbus-qt5` doesn't fix the issue.

  ProblemType: Bug
  DistroRelease: Ubuntu 13.10
  Package: qdbus 4:4.8.4+dfsg-0ubuntu18
  ProcVersionSignature: Ubuntu 3.11.0-13.20-generic 3.11.6
  Uname: Linux 3.11.0-13-generic i686
  ApportVersion: 2.12.5-0ubuntu2.1
  Architecture: i386
  Date: Thu Nov 14 09:34:24 2013
  MarkForUpload: True
  SourcePackage: qt4-x11
  UpgradeStatus: Upgraded to saucy on 2013-10-23 (22 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/qt4-x11/+bug/1251178/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1843055] [NEW] Wine, Samba4 users, cups-pdf don't print 18.04

2019-09-06 Thread totoro
Public bug reported:

Hi,

In my company we have Ubuntu computer who user are login by Active Directory 
(with samba4)
We use sssd to make the connection.
My sssd configuration file:

[sssd]
services = nss, pam, autofs
config_file_version = 2
domains = DOMAINE
[domain/DOMAINE]
id_provider = ad
access_provider = ad
override_homedir = /home/%u
default_shell = /bin/bash
cache_credentials = True
krb5_store_password_if_offline = True
ad_gpo_access_control = permissive
krb5_ccname_template=FILE:%d/krb5cc_%U
ldap_id_mapping = True
use_fully_qualified_names = False
fallback_homedir = /home/%u
simple_allow_users = $

Everything was working fine until a minor upgrade (2.2.7-1ubuntu2.7 it
was working well on 2.2.7-1ubuntu2.3).

We use wine to run a windows software, but you can use the notepad as well. 
When a Active Directory is login, and try to print a PDF, is hown PDF file is 
not created, and no PDF inside.
But if we try with a other software without wine, everything works well.

Here the debug information: https://pastebin.com/VjMHBYBh

Has you can see we have a line with: "unknown user: unknown" the problem look 
here.
It's look cups don't receive the correct user. As I say before, no problem with 
local user wher we don't have this line but the good one with the correct 
username.

So why Wine better than other package, because other don't have update
until we pass from 2.2.7-1ubuntu2.3 to 2.2.7-1ubuntu2.7.

If you have any idea it will be great.

Thank's for helping.

** Affects: cups (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: cups cups-pdf samba4 wine

** Tags added: wine

** Tags added: cups cups-pdf samba4

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to cups in Ubuntu.
https://bugs.launchpad.net/bugs/1843055

Title:
  Wine, Samba4 users, cups-pdf don't print 18.04

Status in cups package in Ubuntu:
  New

Bug description:
  Hi,

  In my company we have Ubuntu computer who user are login by Active Directory 
(with samba4)
  We use sssd to make the connection.
  My sssd configuration file:

  [sssd]
  services = nss, pam, autofs
  config_file_version = 2
  domains = DOMAINE
  [domain/DOMAINE]
  id_provider = ad
  access_provider = ad
  override_homedir = /home/%u
  default_shell = /bin/bash
  cache_credentials = True
  krb5_store_password_if_offline = True
  ad_gpo_access_control = permissive
  krb5_ccname_template=FILE:%d/krb5cc_%U
  ldap_id_mapping = True
  use_fully_qualified_names = False
  fallback_homedir = /home/%u
  simple_allow_users = $

  Everything was working fine until a minor upgrade (2.2.7-1ubuntu2.7 it
  was working well on 2.2.7-1ubuntu2.3).

  We use wine to run a windows software, but you can use the notepad as well. 
When a Active Directory is login, and try to print a PDF, is hown PDF file is 
not created, and no PDF inside.
  But if we try with a other software without wine, everything works well.

  Here the debug information: https://pastebin.com/VjMHBYBh

  Has you can see we have a line with: "unknown user: unknown" the problem look 
here.
  It's look cups don't receive the correct user. As I say before, no problem 
with local user wher we don't have this line but the good one with the correct 
username.

  So why Wine better than other package, because other don't have update
  until we pass from 2.2.7-1ubuntu2.3 to 2.2.7-1ubuntu2.7.

  If you have any idea it will be great.

  Thank's for helping.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/cups/+bug/1843055/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1842902] Re: FFe: create zfs dataset for each user automatically

2019-09-06 Thread Alex Murray
Thanks Didier, looks great :)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to shadow in Ubuntu.
https://bugs.launchpad.net/bugs/1842902

Title:
  FFe: create zfs dataset for each user automatically

Status in shadow package in Ubuntu:
  New
Status in zsys package in Ubuntu:
  New

Bug description:
  Part of the zsys spec is creating/associating one user dataset for
  each HOME user.

  As zsys is an official experimentation for 19.10, we would like to
  include this feature in a safe way, and reachable for any tool
  creating users (adduser, gnome-control-center, ubiquity…). Those are
  using useradd under the scene.

  For this, the proposed implementation:
  - patch useradd trying to execute "zsys useradd create USER HOMEDIR". If zsys 
isn't present or zsys returns a status code != 0 (which will be the case if the 
running system isn't a zsys one: pure zfs or non zfs like / on ext4), it will 
fallback to mkdir. Then the code does the usual chmod()
  - patch usermod, trying as well to execute "zsys useradd rename-home OLDHOME 
NEWHOME". Same failing reason (not a zsys system, not installed, OLDHOME isn't 
a zsys handled datasets) and fallback to rename(). Then the code does the usual 
chmod().

  Tested with and without zsys installed, the code does what we expect.

  I'm attaching the shadow (useradd/usermod) patches, as you can see it's very 
minimal.
  A new ZSYS release will be needed (https://github.com/ubuntu/zsys). As you 
can see, there are quite some commits since the last release, but it's all 
baked (as usual) by a huge suite of tests (in ZFS and machine layers) with 
corner cases tested and such. I'm confident on that change.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/shadow/+bug/1842902/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1611010] Re: yakkety desktop - non-english installation crashes with /plugininstall.py: ValueError: invalid literal for int() with base 10: ''

2019-09-06 Thread Rakibul Hasan
** Changed in: ubiquity (Ubuntu)
   Status: Triaged => Fix Released

** Changed in: ubiquity (Ubuntu Xenial)
   Status: Triaged => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apt in Ubuntu.
https://bugs.launchpad.net/bugs/1611010

Title:
  yakkety desktop - non-english installation crashes with
  /plugininstall.py: ValueError: invalid literal for int() with base 10:
  ''

Status in apt package in Ubuntu:
  Fix Released
Status in ubiquity package in Ubuntu:
  Fix Released
Status in apt source package in Xenial:
  Fix Released
Status in ubiquity source package in Xenial:
  Fix Released

Bug description:
  Enviroment: Ubuntu 16.10.5 Yakkety Yak http://cdimage.ubuntu.com
  /daily-live/current/

  HW: Toshiba portege Z30-A12T | Intel i5+intel graphics | SSD hd

  Preconditions: W10+Xenial xerus installed, internet connection, 3rd
  party sw and updates selected

  [Impact]
  Breaks installation in some non-English locales.

  [Test case]
  Steps to reproduce:

  1º Click something else on Installation type screen>select /dev/sdaX where 
Xenial is installed, use it to mount / and leave some space to create the /home 
partition(ext4)
  2º Then click back and select erase ubuntu 16.04.1 and install Yakkety
  3º Installation starts

  Current result: After a little time installing it crashes and a window
  shows up to let the user know that some info is being gathered to send
  it to developers, and finally firefox opens on the bug report web on
  ubiquity package

  Expected result: No crashes during installation

  [Regression potential]
  Very low, we're running this in 1.3 since a long time. The fix depends on 
another one that restricts the Date parser to accept only UTC time zones in 
Release files, though (we do not understand the other ones anyway), and thus 
might reject some repositories it silently accepted in a wrong way previously 
(we have not seen anyone report a regression yet since uploading that in June).

  ProblemType: Bug
  DistroRelease: Ubuntu 16.10
  Package: ubiquity 16.10.5
  ProcVersionSignature: Ubuntu 4.4.0-33.52-generic 4.4.15
  Uname: Linux 4.4.0-33-generic x86_64
  ApportVersion: 2.20.3-0ubuntu5
  Architecture: amd64
  CasperVersion: 1.376
  Date: Mon Aug  8 15:50:56 2016
  InstallCmdLine: file=/cdrom/preseed/ubuntu.seed boot=casper 
initrd=/casper/initrd.lz quiet splash --- maybe-ubiquity
  LiveMediaBuild: Ubuntu 16.10 "Yakkety Yak" - Alpha amd64 (20160808)
  ProcEnviron:
   LANGUAGE=es_ES.UTF-8
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=es_ES.UTF-8
  SourcePackage: ubiquity
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1611010/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1837734] Re: libnss3 reads fips_enabled flag and automatically switches to FIPS mode

2019-09-06 Thread Vineetha Kamath
** Summary changed:

- Firefox crash on a FIPS enabled machine due to libnss3
+ libnss3 reads fips_enabled flag and automatically switches to FIPS mode

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to nss in Ubuntu.
https://bugs.launchpad.net/bugs/1837734

Title:
  libnss3 reads fips_enabled flag and automatically switches to FIPS
  mode

Status in nss package in Ubuntu:
  Fix Released
Status in nss source package in Xenial:
  Fix Committed
Status in nss source package in Bionic:
  Fix Committed
Status in nss source package in Disco:
  Fix Committed
Status in nss source package in Eoan:
  Fix Released

Bug description:
  [IMPACT]
  nss is not a FIPS certified library. On a machine running FIPS enabled 
kernel, the library by default goes into FIPS mode if 
/proc/sys/crypto/fips_enabled=1. This is an untested configuration and since 
libnss3 is not a certified library we propose disabling reading the 
'fips_enabled' flag and therefore switching the library automatically into FIPS 
mode. A FIPS customer reported firefox crash on a FIPS enabled system and 
strace showed it was repeatedly trying to read the fips_enabled flag from 
libnss3 before crashing.

  The proposed patch disables reading the /proc/sys/crypto/fips_enabled
  flag. The users of the library however can force nss into FIPS mode
  via an environment variable. We plan to leave it as is so as not to
  regress existing users who may be using it.

  The issue impacts libnss3 versions in eoan, disco, bionic and xenial.

  lsb_release -rd
  Description:  Ubuntu Eoan Ermine (development branch)
  Release: 19.10

  Version: 2:3.45-1ubuntu1

  lsb_release -rd
  Description: Ubuntu Disco Dingo
  Release: 19.04

  Version: 2:3.42-1ubuntu2

  lsb_release -rd
  Description:  Ubuntu Bionic Beaver
  Release:  18.04

  Version: 2:3.35-2ubuntu2.3

  lsb_release -rd
  Description:  Ubuntu 16.04.3 LTS
  Release:  16.04

  Version: 2:3.28.4-0ubuntu0.16.04

  [FIX]
  This fix proposes to disable libnss3 reading proc/sys/crypto/fips_enabled. We 
only want fips certified modules reading this file and running in fips mode. 
libnss3 is not one of our fips certified modules, so should not be reading this 
along with our fips certified modules to determine whether to run in fips mode.

  Users who do want to run the library in FIPS mode can do so by using
  the environment variable "NSS_FIPS". We propose to leave it as is so
  as not to regress anyone using this. The user who is using this option
  should be doing so with the awareness.

  [TEST]
  Tested on a xenial and bionic desktop ISO running FIPS enabled kernel and in 
FIPS mode. With the patch fix no crashes were observed when launching firefox 
browser.
  Without the patch fix, firefox crashes.

  Tested on a xenial and bionic desktop ISO running non-FIPS generic
  kernel. With the patch fix, firefox worked as expected and no changes
  were observed.

  [REGRESSION POTENTIAL]
  The regression potential for this is small. A FIPS kernel is required to
  create /proc/sys/crypto/fips_enabled and it is not available in standard 
ubuntu archive. For users forcing FIPS through environment variable, nothing 
has changed.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/nss/+bug/1837734/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1815318] Re: mate 18.04.1 xserver won't open caja on local machine

2019-09-06 Thread Michael Dooley
I used ssh -X 192.168.1.162 and gained admittance to the remote system
as shown below:

###
Welcome to Ubuntu 18.04.3 LTS (GNU/Linux 4.15.0-60-generic x86_64)

 * Documentation:  https://help.ubuntu.com
 * Management: https://landscape.canonical.com
 * Support:https://ubuntu.com/advantage


 * Canonical Livepatch is available for installation.
   - Reduce system reboots and improve kernel security. Activate at:
 https://ubuntu.com/livepatch

0 packages can be updated.
0 updates are security updates.

Last login: Fri Sep  6 14:52:58 2019 from 192.168.1.153
###

I then tried michael@longitude:~$ caja --browser
and next tried michael@longitude:~$ caja --no-desktop

Neither displayed a local caja; neither helped.

Thanks for investigating this problem Martin.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openssh in Ubuntu.
https://bugs.launchpad.net/bugs/1815318

Title:
  mate 18.04.1 xserver won't open caja on local machine

Status in Ubuntu MATE:
  Invalid
Status in caja package in Ubuntu:
  Incomplete
Status in openssh package in Ubuntu:
  Invalid

Bug description:
  Steps to reproduce:
  1. Have installed Ubuntu MATE 18.04 LTS (you know its hostname and IP - i.e. 
192.168.1.162)
  2. Install SSH server on Ubuntu MATE 18.04 LTS
  3. Open terminal on other remote system (client) and execute command to run 
Caja over X forwarding:

 ssh -X user@192.168.1.162 caja

  Expected results:
  * Caja is shown on remote (client) screen with window title *folder (on 
hostname)*

  Actual results:
  * Caja is not shown on remote (client) screen, but launches on server locally.

  Note: this works normally if server runs Ubuntu MATE 16.04 LTS, but
  fails with 18.04 LTS.

  ---
  Original description below:

  I can open a remote terminal using ssh -X 192.168.1.162. All other
  gui's that I've tested opened locally except the file manager Caja.
  When issuing caja in the remote terminal, I get nothing locally. Caja
  does open on the remote machine however, just not locally. The ssh -X
  18.04.1 client still works connecting to a mate 16.04 server. I've
  tested this on numerous mate 18.04 clients, two 16.04 servers and two
  18.04 servers, all mate. Something is wonky with caja on an 18.04.1
  server.

  Please let me know if I can provide any more information. The only
  file manager I've tested that works is an X file manager, xfimage.
  X2go works and connects to servers, SSH Connect to Server works, why
  isn't the remote X terminal working using caja?

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu-mate/+bug/1815318/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1843099] [NEW] Unattended upgrades does not work on shutdown

2019-09-06 Thread Zahid Bukhari
Public bug reported:

1) The release of Ubuntu you are using, via 'lsb_release -rd' or System -> 
About Ubuntu
 * Ubuntu Xenial 16.04.6 LTS
2) The version of the package you are using, via 'apt-cache policy pkgname' or 
by checking in Software Center
 * 1.1ubuntu1.18.04.7~16.04.3
3) What you expected to happen
 * Packages to be upgraded on reboot / shutdown.
4) What happened instead
 * The host just rebooted.  Didn't perform upgrades.  No useful output either 
until I enabled debug logging in the systemd unit file.

I'm reporting a new bug but this is very similar to #1806487 and I'm
actually wondering if it resurfaced somehow.

We're running Ubuntu Xenial 16.04.6 which has 1.1ubuntu1.18.04.7~16.04.3
installed.

I see that #1806487 was resolved with 1.1ubuntu1.18.04.7~16.04.2.
However I'm seeing similar behavior.

So far I've modified systemd to see if anything stands out.  I do have
an strace and then just debug mode.

Unless needed, simply put, this is what a reboot with debug logging
looks like (i.e. unattended-upgrades-shutdown.log):

2019-09-06 09:20:04,871 DEBUG - Waiting for signal to start operation
2019-09-06 09:20:43,996 WARNING - SIGTERM or SIGHUP received, stopping 
unattended-upgradesonly if it is running
2019-09-06 09:20:43,996 DEBUG - Starting countdown of 25.0 minutes
2019-09-06 09:20:43,997 DEBUG - get_lock returned 7
2019-09-06 09:20:43,997 DEBUG - lock not taken

I hope that helps, please let me know if you need anything else from me
or if I can provide any more information.

I've done this many times before, this is the first time it hasn't
worked.  When I patched around the end of May, all went well.  My other
variants worked, well mainly Trusty but that's EOL for public access.
Bionic doesn't seem to have anything it needs to update.

** Affects: unattended-upgrades (Ubuntu)
 Importance: Undecided
 Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unattended-upgrades in
Ubuntu.
https://bugs.launchpad.net/bugs/1843099

Title:
  Unattended upgrades does not work on shutdown

Status in unattended-upgrades package in Ubuntu:
  New

Bug description:
  1) The release of Ubuntu you are using, via 'lsb_release -rd' or System -> 
About Ubuntu
   * Ubuntu Xenial 16.04.6 LTS
  2) The version of the package you are using, via 'apt-cache policy pkgname' 
or by checking in Software Center
   * 1.1ubuntu1.18.04.7~16.04.3
  3) What you expected to happen
   * Packages to be upgraded on reboot / shutdown.
  4) What happened instead
   * The host just rebooted.  Didn't perform upgrades.  No useful output either 
until I enabled debug logging in the systemd unit file.

  I'm reporting a new bug but this is very similar to #1806487 and I'm
  actually wondering if it resurfaced somehow.

  We're running Ubuntu Xenial 16.04.6 which has
  1.1ubuntu1.18.04.7~16.04.3 installed.

  I see that #1806487 was resolved with 1.1ubuntu1.18.04.7~16.04.2.
  However I'm seeing similar behavior.

  So far I've modified systemd to see if anything stands out.  I do have
  an strace and then just debug mode.

  Unless needed, simply put, this is what a reboot with debug logging
  looks like (i.e. unattended-upgrades-shutdown.log):

  2019-09-06 09:20:04,871 DEBUG - Waiting for signal to start operation
  2019-09-06 09:20:43,996 WARNING - SIGTERM or SIGHUP received, stopping 
unattended-upgradesonly if it is running
  2019-09-06 09:20:43,996 DEBUG - Starting countdown of 25.0 minutes
  2019-09-06 09:20:43,997 DEBUG - get_lock returned 7
  2019-09-06 09:20:43,997 DEBUG - lock not taken

  I hope that helps, please let me know if you need anything else from
  me or if I can provide any more information.

  I've done this many times before, this is the first time it hasn't
  worked.  When I patched around the end of May, all went well.  My
  other variants worked, well mainly Trusty but that's EOL for public
  access.  Bionic doesn't seem to have anything it needs to update.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/unattended-upgrades/+bug/1843099/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1423796] Re: Unable to mount lvmcache root device at boot time

2019-09-06 Thread Andrew Berry
This is still broken in Ubuntu 18.04.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to lvm2 in Ubuntu.
https://bugs.launchpad.net/bugs/1423796

Title:
  Unable to mount lvmcache root device at boot time

Status in initramfs-tools package in Ubuntu:
  Confirmed
Status in linux package in Ubuntu:
  Confirmed
Status in lvm2 package in Ubuntu:
  Confirmed

Bug description:
  I'm experimenting with Vivid Vervet on a virtual machine and tried a
  new LVM feature, lvmcache. I made a cache for the root file system,
  rebuilt the initrd and rebooted the VM.

  At boot time, the system failed to activate the root LV. After some
  investigation, I found out, it's because the initrd is missing some
  essential stuff needed for activating a cached LV.

  The initrd was missing the dm-cache module. I regenerated the initrd
  with explicitly listing dm-cache in /etc/initramfs-tools/modules, but
  the system still can't boot up, because now it is missing the
  /usr/sbin/cache_check utility.

  As SSDs are becoming more and more common, I think it will be common
  to use them as cache for root file systems, thus it is mandatory to
  make sure that an initrd can mount an lvmcached root device when
  necessary, preferably without /etc/initramfs-tools/modules and other
  manual initrd hacking.

  System details:

  Linux lvmvm 3.18.0-13-generic #14-Ubuntu SMP Fri Feb 6 09:55:14 UTC
  2015 x86_64 x86_64 x86_64 GNU/Linux

  Distributor ID:   Ubuntu
  Description:  Ubuntu Vivid Vervet (development branch)
  Release:  15.04
  Codename: vivid

  LVM version: 2.02.111(2) (2014-09-01)
  Library version: 1.02.90 (2014-09-01)
  Driver version:  4.28.0

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/initramfs-tools/+bug/1423796/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1843083] Re: tracker-store crashed with SIGSEGV

2019-09-06 Thread Steve Beattie
** Information type changed from Private Security to Public

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to tracker in Ubuntu.
https://bugs.launchpad.net/bugs/1843083

Title:
  tracker-store crashed with SIGSEGV

Status in tracker package in Ubuntu:
  New

Bug description:
  I din't know about

  ProblemType: Crash
  DistroRelease: Ubuntu 19.10
  Package: tracker 2.2.99.0-1
  ProcVersionSignature: Ubuntu 5.2.0-15.16-generic 5.2.9
  Uname: Linux 5.2.0-15-generic x86_64
  ApportVersion: 2.20.11-0ubuntu7
  Architecture: amd64
  CurrentDesktop: XFCE
  Date: Fri Sep  6 20:15:58 2019
  ExecutablePath: /usr/lib/tracker/tracker-store
  InstallationDate: Installed on 2016-02-29 (1284 days ago)
  InstallationMedia: Xubuntu 14.04.4 LTS "Trusty Tahr" - Release amd64 
(20160217.1)
  ProcCmdline: /usr/lib/tracker/tracker-store
  ProcEnviron:
   LANG=ca_ES.UTF-8
   PATH=(custom, no user)
   SHELL=/bin/bash
   XDG_RUNTIME_DIR=
   LANGUAGE=ca
  SegvAnalysis:
   Segfault happened at: 0x55affda50c33:cmpq   $0x0,0x8(%rdi)
   PC (0x55affda50c33) ok
   source "$0x0" ok
   destination "0x8(%rdi)" (0x0008) not located in a known VMA region 
(needed writable region)!
   Stack memory exhausted (SP below stack segment)
  SegvReason: writing NULL VMA
  Signal: 11
  SourcePackage: tracker
  StacktraceTop:
   ()
   ()
   tracker_data_commit_transaction () at 
/usr/lib/x86_64-linux-gnu/tracker-2.0/libtracker-data.so
   () at /usr/lib/x86_64-linux-gnu/tracker-2.0/libtracker-data.so
   ()
  Title: tracker-store crashed with SIGSEGV
  UpgradeStatus: Upgraded to eoan on 2019-07-30 (37 days ago)
  UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
  separator:

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/tracker/+bug/1843083/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1423796] Re: Unable to mount lvmcache root device at boot time

2019-09-06 Thread elatllat
yah I have actually never seen a bug fixed on the Ubuntu bug tracker, just deal 
with it upstream or use a different distribution.
IMO Ubuntu should delete bugs.launchpad.net and just merge pull requests on 
github/etc.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to lvm2 in Ubuntu.
https://bugs.launchpad.net/bugs/1423796

Title:
  Unable to mount lvmcache root device at boot time

Status in initramfs-tools package in Ubuntu:
  Confirmed
Status in linux package in Ubuntu:
  Confirmed
Status in lvm2 package in Ubuntu:
  Confirmed

Bug description:
  I'm experimenting with Vivid Vervet on a virtual machine and tried a
  new LVM feature, lvmcache. I made a cache for the root file system,
  rebuilt the initrd and rebooted the VM.

  At boot time, the system failed to activate the root LV. After some
  investigation, I found out, it's because the initrd is missing some
  essential stuff needed for activating a cached LV.

  The initrd was missing the dm-cache module. I regenerated the initrd
  with explicitly listing dm-cache in /etc/initramfs-tools/modules, but
  the system still can't boot up, because now it is missing the
  /usr/sbin/cache_check utility.

  As SSDs are becoming more and more common, I think it will be common
  to use them as cache for root file systems, thus it is mandatory to
  make sure that an initrd can mount an lvmcached root device when
  necessary, preferably without /etc/initramfs-tools/modules and other
  manual initrd hacking.

  System details:

  Linux lvmvm 3.18.0-13-generic #14-Ubuntu SMP Fri Feb 6 09:55:14 UTC
  2015 x86_64 x86_64 x86_64 GNU/Linux

  Distributor ID:   Ubuntu
  Description:  Ubuntu Vivid Vervet (development branch)
  Release:  15.04
  Codename: vivid

  LVM version: 2.02.111(2) (2014-09-01)
  Library version: 1.02.90 (2014-09-01)
  Driver version:  4.28.0

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/initramfs-tools/+bug/1423796/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1815318] Re: mate 18.04.1 xserver won't open caja on local machine

2019-09-06 Thread Martin Wimpress
Does using either of these help?

  * caja --browser
  * caja --no-desktop

** Changed in: caja (Ubuntu)
   Status: New => Incomplete

** Changed in: ubuntu-mate
   Status: New => Incomplete

** Changed in: ubuntu-mate
   Status: Incomplete => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openssh in Ubuntu.
https://bugs.launchpad.net/bugs/1815318

Title:
  mate 18.04.1 xserver won't open caja on local machine

Status in Ubuntu MATE:
  Invalid
Status in caja package in Ubuntu:
  Incomplete
Status in openssh package in Ubuntu:
  Invalid

Bug description:
  Steps to reproduce:
  1. Have installed Ubuntu MATE 18.04 LTS (you know its hostname and IP - i.e. 
192.168.1.162)
  2. Install SSH server on Ubuntu MATE 18.04 LTS
  3. Open terminal on other remote system (client) and execute command to run 
Caja over X forwarding:

 ssh -X user@192.168.1.162 caja

  Expected results:
  * Caja is shown on remote (client) screen with window title *folder (on 
hostname)*

  Actual results:
  * Caja is not shown on remote (client) screen, but launches on server locally.

  Note: this works normally if server runs Ubuntu MATE 16.04 LTS, but
  fails with 18.04 LTS.

  ---
  Original description below:

  I can open a remote terminal using ssh -X 192.168.1.162. All other
  gui's that I've tested opened locally except the file manager Caja.
  When issuing caja in the remote terminal, I get nothing locally. Caja
  does open on the remote machine however, just not locally. The ssh -X
  18.04.1 client still works connecting to a mate 16.04 server. I've
  tested this on numerous mate 18.04 clients, two 16.04 servers and two
  18.04 servers, all mate. Something is wonky with caja on an 18.04.1
  server.

  Please let me know if I can provide any more information. The only
  file manager I've tested that works is an X file manager, xfimage.
  X2go works and connects to servers, SSH Connect to Server works, why
  isn't the remote X terminal working using caja?

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu-mate/+bug/1815318/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1843099] Re: Unattended upgrades does not work on shutdown

2019-09-06 Thread Zahid Bukhari
I did want to suggest, before (i.e. Bug #1806487) it seemed to be a race
/ ordering issue, could a possible fix just be adjusting the systemd
unit files after or before bits?

Although even after restarting while the system was up, a reboot didn't
work so not sure it's that simple.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unattended-upgrades in
Ubuntu.
https://bugs.launchpad.net/bugs/1843099

Title:
  Unattended upgrades does not work on shutdown

Status in unattended-upgrades package in Ubuntu:
  New

Bug description:
  1) The release of Ubuntu you are using, via 'lsb_release -rd' or System -> 
About Ubuntu
   * Ubuntu Xenial 16.04.6 LTS
  2) The version of the package you are using, via 'apt-cache policy pkgname' 
or by checking in Software Center
   * 1.1ubuntu1.18.04.7~16.04.3
  3) What you expected to happen
   * Packages to be upgraded on reboot / shutdown.
  4) What happened instead
   * The host just rebooted.  Didn't perform upgrades.  No useful output either 
until I enabled debug logging in the systemd unit file.

  I'm reporting a new bug but this is very similar to #1806487 and I'm
  actually wondering if it resurfaced somehow.

  We're running Ubuntu Xenial 16.04.6 which has
  1.1ubuntu1.18.04.7~16.04.3 installed.

  I see that #1806487 was resolved with 1.1ubuntu1.18.04.7~16.04.2.
  However I'm seeing similar behavior.

  So far I've modified systemd to see if anything stands out.  I do have
  an strace and then just debug mode.

  Unless needed, simply put, this is what a reboot with debug logging
  looks like (i.e. unattended-upgrades-shutdown.log):

  2019-09-06 09:20:04,871 DEBUG - Waiting for signal to start operation
  2019-09-06 09:20:43,996 WARNING - SIGTERM or SIGHUP received, stopping 
unattended-upgradesonly if it is running
  2019-09-06 09:20:43,996 DEBUG - Starting countdown of 25.0 minutes
  2019-09-06 09:20:43,997 DEBUG - get_lock returned 7
  2019-09-06 09:20:43,997 DEBUG - lock not taken

  I hope that helps, please let me know if you need anything else from
  me or if I can provide any more information.

  I've done this many times before, this is the first time it hasn't
  worked.  When I patched around the end of May, all went well.  My
  other variants worked, well mainly Trusty but that's EOL for public
  access.  Bionic doesn't seem to have anything it needs to update.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/unattended-upgrades/+bug/1843099/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1837734] Re: libnss3 reads fips_enabled flag and automatically switches to FIPS mode

2019-09-06 Thread Vineetha Kamath
** Description changed:

  [IMPACT]
- nss is not a FIPS certified library. On a machine running FIPS enabled 
kernel, the library by default goes into FIPS mode if 
/proc/sys/crypto/fips_enabled=1. This is an untested configuration and since 
libnss3 is not a certified library we propose disabling reading the 
'fips_enabled' flag and therefore switching the library automatically into FIPS 
mode. A FIPS customer reported firefox crash on a FIPS enabled system and 
strace showed it was repeatedly trying to read the fips_enabled flag from 
libnss3 before crashing.
+ nss is not a FIPS certified library. On a machine running FIPS enabled 
kernel, the library by default goes into FIPS mode if 
/proc/sys/crypto/fips_enabled=1. This is an untested configuration and since 
libnss3 is not a certified library we propose disabling reading the 
'fips_enabled' flag and therefore switching the library automatically into FIPS 
mode. 
  
  The proposed patch disables reading the /proc/sys/crypto/fips_enabled
  flag. The users of the library however can force nss into FIPS mode via
  an environment variable. We plan to leave it as is so as not to regress
  existing users who may be using it.
  
  The issue impacts libnss3 versions in eoan, disco, bionic and xenial.
  
  lsb_release -rd
  Description:  Ubuntu Eoan Ermine (development branch)
  Release: 19.10
  
  Version: 2:3.45-1ubuntu1
  
  lsb_release -rd
  Description: Ubuntu Disco Dingo
  Release: 19.04
  
  Version: 2:3.42-1ubuntu2
  
  lsb_release -rd
  Description:  Ubuntu Bionic Beaver
  Release:  18.04
  
  Version: 2:3.35-2ubuntu2.3
  
  lsb_release -rd
  Description:  Ubuntu 16.04.3 LTS
  Release:  16.04
  
  Version: 2:3.28.4-0ubuntu0.16.04
  
  [FIX]
  This fix proposes to disable libnss3 reading proc/sys/crypto/fips_enabled. We 
only want fips certified modules reading this file and running in fips mode. 
libnss3 is not one of our fips certified modules, so should not be reading this 
along with our fips certified modules to determine whether to run in fips mode.
  
  Users who do want to run the library in FIPS mode can do so by using the
  environment variable "NSS_FIPS". We propose to leave it as is so as not
  to regress anyone using this. The user who is using this option should
  be doing so with the awareness.
  
  [TEST]
  Tested on a xenial and bionic desktop ISO running FIPS enabled kernel and in 
FIPS mode. With the patch fix no crashes were observed when launching firefox 
browser.
  Without the patch fix, firefox crashes.
  
  Tested on a xenial and bionic desktop ISO running non-FIPS generic
  kernel. With the patch fix, firefox worked as expected and no changes
  were observed.
  
  [REGRESSION POTENTIAL]
  The regression potential for this is small. A FIPS kernel is required to
  create /proc/sys/crypto/fips_enabled and it is not available in standard 
ubuntu archive. For users forcing FIPS through environment variable, nothing 
has changed.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to nss in Ubuntu.
https://bugs.launchpad.net/bugs/1837734

Title:
  libnss3 reads fips_enabled flag and automatically switches to FIPS
  mode

Status in nss package in Ubuntu:
  Fix Released
Status in nss source package in Xenial:
  Fix Committed
Status in nss source package in Bionic:
  Fix Committed
Status in nss source package in Disco:
  Fix Committed
Status in nss source package in Eoan:
  Fix Released

Bug description:
  [IMPACT]
  nss is not a FIPS certified library. On a machine running FIPS enabled 
kernel, the library by default goes into FIPS mode if 
/proc/sys/crypto/fips_enabled=1. This is an untested configuration and since 
libnss3 is not a certified library we propose disabling reading the 
'fips_enabled' flag and therefore switching the library automatically into FIPS 
mode. 

  The proposed patch disables reading the /proc/sys/crypto/fips_enabled
  flag. The users of the library however can force nss into FIPS mode
  via an environment variable. We plan to leave it as is so as not to
  regress existing users who may be using it.

  The issue impacts libnss3 versions in eoan, disco, bionic and xenial.

  lsb_release -rd
  Description:  Ubuntu Eoan Ermine (development branch)
  Release: 19.10

  Version: 2:3.45-1ubuntu1

  lsb_release -rd
  Description: Ubuntu Disco Dingo
  Release: 19.04

  Version: 2:3.42-1ubuntu2

  lsb_release -rd
  Description:  Ubuntu Bionic Beaver
  Release:  18.04

  Version: 2:3.35-2ubuntu2.3

  lsb_release -rd
  Description:  Ubuntu 16.04.3 LTS
  Release:  16.04

  Version: 2:3.28.4-0ubuntu0.16.04

  [FIX]
  This fix proposes to disable libnss3 reading proc/sys/crypto/fips_enabled. We 
only want fips certified modules reading this file and running in fips mode. 
libnss3 is not one of our fips certified modules, so should not be reading this 
along with our fips certified modules to determine whether to run in fips mode.

  Users who 

[Touch-packages] [Bug 1801540]

2019-09-06 Thread rodomar705
Following my previous post, disabling the batch flag on both streams
(patch 3 from comment 269), Steam is perfect, Discord is lagged again
while acquiring.

With the second patch from the comment 269, same identical problem
without the patch (Discord perfect, Steam crackling for the first minute
+ audio slightly delayed). However when changing volume there was a
little bit of distortion on the output audio (extremely small, but still
audible, especially on high volumes), but it seems that using the
workaround only on acquisition seems to have removed that small issue.
If someone here had the same problem when changing volume, please try
patch n.2 and report back.

It seems that we can't have both working together simultaneously on my
end. The default workaround is still the best option on my system, for
now.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1801540

Title:
  Microphone distorted sound on ALC892/1220 on AMD chipsets

Status in Linux:
  Confirmed
Status in linux package in Ubuntu:
  Won't Fix
Status in pulseaudio package in Ubuntu:
  Won't Fix

Bug description:
  Not sure if I'll report this upstream but there is definitely an issue
  with microphone recording on my desktop, this is not happening on my
  laptop which has a different codec.

  Already tried all workarounds possible, no luck. Only with my desktop
  with this particular motherboard. No issues in Windows, the sound
  recorded in there is distorted and has some static and robotic tone on
  high-pitch.

  alsa-info on the attachments

To manage notifications about this bug go to:
https://bugs.launchpad.net/linux/+bug/1801540/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1801540]

2019-09-06 Thread rodomar705
(In reply to Takashi Iwai from comment #273)
> Hmm, would it be only about playback?  That is, restricting the workaround
> only to capture stream works better?
> 
> --- a/sound/pci/hda/hda_controller.c
> +++ b/sound/pci/hda/hda_controller.c
> @@ -617,7 +617,8 @@ static int azx_pcm_open(struct snd_pcm_substream
> *substream)
>  * tsched=1 when a capture stream triggers.  Until we figure out the
>  * real cause, disable tsched mode by telling the PCM info flag.
>  */
> -   if (chip->driver_caps & AZX_DCAPS_AMD_WORKAROUND)
> +   if ((chip->driver_caps & AZX_DCAPS_AMD_WORKAROUND) &&
> +   substream->stream == SNDRV_PCM_STREAM_CAPTURE)
> runtime->hw.info |= SNDRV_PCM_INFO_BATCH;
>  
> if (chip->align_buffer_size)
> 
> 
> In anyway, we need to know this change makes sense at all.  IOW, people need
> to check whether this causes yet another regression on the devices that have
> worked with BATCH workaround.

With the standard flags, Discord is perfect, Steam has stutters for the
first minute and a bit of delay (500 ms).

With the batch flag only on the capture stream, Steam is perfect,
Discord has delayed audio.

With the batch flag only on the playback stream, same thing with both of
them (first case).

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1801540

Title:
  Microphone distorted sound on ALC892/1220 on AMD chipsets

Status in Linux:
  Confirmed
Status in linux package in Ubuntu:
  Won't Fix
Status in pulseaudio package in Ubuntu:
  Won't Fix

Bug description:
  Not sure if I'll report this upstream but there is definitely an issue
  with microphone recording on my desktop, this is not happening on my
  laptop which has a different codec.

  Already tried all workarounds possible, no luck. Only with my desktop
  with this particular motherboard. No issues in Windows, the sound
  recorded in there is distorted and has some static and robotic tone on
  high-pitch.

  alsa-info on the attachments

To manage notifications about this bug go to:
https://bugs.launchpad.net/linux/+bug/1801540/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1842643] Re: [ffe] Update to 1.44.6

2019-09-06 Thread Łukasz Zemczak
This looks good in overall. I trust that you are confident that the new 
pango1.0 will migrate without any bigger issues, especially seeing how many 
reverse-dependencies it has. I also hope there is no ABI break introduced in 
the two new versions? The changelogs do not seem to mention anything 
explicitly. Wouldn't want us to require additional rebuilds so late in the 
cycle.
Have you tested the packages from the PPA?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pango1.0 in Ubuntu.
https://bugs.launchpad.net/bugs/1842643

Title:
  [ffe] Update to 1.44.6

Status in pango1.0 package in Ubuntu:
  New

Bug description:
  There are a lot of changes in pango1.0 since the version we currently
  have in eoan. We held off updating because there was a test failure.
  This has been resolved in the latest release, so we'd like to go for
  the update now.

  Overview of changes in 1.44.6
  =
  - docs: Fix symbol indices
  - Fix Thai line breaking
  - Re-add symbols needed by some bindings
  - Don't insert hyphens for some languages
  - Fix a crash with hyphenation

  Overview of changes in 1.44.5
  =
  - Revert a broken change (causing crashes on OS X)

  Overview of changes in 1.44.4
  =
  - Add an insert-hyphens attribute
  - Reinstate the return type of pango_fc_font_lock_face
  - Fix a problem with ellipses getting the wrong font
  - fc: Improve filtering by font format
  - Re-add PangoFcFont to public headers
  - Install PangoFc and PangoOT introspection files
  - Fix ink rectangles to have positive height
  - Fix mark positioning
  - Switch to using harfbuzz for metrics

  Overview of changes in 1.44.3
  =
  - Install pango-ot headers
  - Make subpixel positioning optional
  - fc: Ignore fonts with unsupported formats

  Overview of changes in 1.44.2
  =
  - Disable ligatures when letterspacing
  - Set design coords on hb_font_t
  - Expose more font options in pango-view
  - OS X: Make 'system-ui' font work
  - Keep deprecated pango-fc apis in headers
  - Make hex boxes work, always
  - introspection: Various build fixes
  - introspection: Add PangoPT, PangoFT2 namespaces
  - layout: Make the new line-spacing opt-in

  Overview of changes in 1.44.1
  =
  - Fix a crash with allow_break attributes
  - Fix Emoji spacing
  - Fix up includes and pkg-config requires
  - Correct some cases for hyphen insertion

  Overview of changes in 1.44.0
  =
  - Use harfbuzz for shaping on all platforms
  - Stop using freetype for font loading; this
  drops support for type1 and bitmap fonts
  - Add a getter for hb_font_t
  - Make PangoCoverage a GObject
  - Add a pango_tailor_break api
  - font metrics: Add line height
  - layout: Support line spacing
  - layout: Draw hyphens for line breaks
  - Add an attribute to suppress line breaking
  - cairo: Don't render hex boxes for space
  - Add an attribute to show invisible characters
  - Stop quantizing glyph positions
  - Add tests for itemization and line breaking
  - Remove language and shape engine remnants
  - Rename meson options: gtk_doc, introspection
  - Require GLib 2.59.2
  - Require Harfbuzz 2.0

  Overview of changes in 1.43.0
  =
  - Drop autotools
  - Drop Visual Studio build
  - Build with meson everywhere
  - Update Emoji tables for Unicode 11
  - Update test data for Unicode 11
  - Fix a crash with Thai breaking
  - Fix a crash with font variations
  - Deprecate bidi apis in favor of fribidi
  - Add a variable font family api
  - Improve font fallback handling on win32

  And see posts from upstream

  https://blogs.gnome.org/mclasen/2019/07/19/pango-updates/
  https://blogs.gnome.org/mclasen/2019/07/27/more-text-rendering-updates/
  https://blogs.gnome.org/mclasen/2019/08/07/pango-1-44-wrap-up/

  for the new features.

  We'd like to update to it, if possible.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/pango1.0/+bug/1842643/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1843039] [NEW] [ZenBook UX433FN_UX433FN, Realtek ALC294, Speaker, Internal] fails after a while

2019-09-06 Thread Sabrina Patania
Public bug reported:

Sound doesn't work intermittently

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: alsa-base 1.0.25+dfsg-0ubuntu5
ProcVersionSignature: Ubuntu 5.0.0-27.28~18.04.1-generic 5.0.21
Uname: Linux 5.0.0-27-generic x86_64
ApportVersion: 2.20.9-0ubuntu7.7
Architecture: amd64
AudioDevicesInUse:
 USERPID ACCESS COMMAND
 /dev/snd/controlC0:  sab7713 F pulseaudio
 /dev/snd/pcmC0D0c:   sab7713 F...m pulseaudio
CurrentDesktop: ubuntu:GNOME
Date: Fri Sep  6 14:07:06 2019
InstallationDate: Installed on 2019-09-03 (2 days ago)
InstallationMedia: Ubuntu 18.04.3 LTS "Bionic Beaver" - Release amd64 (20190805)
PackageArchitecture: all
SourcePackage: alsa-driver
Symptom: audio
Symptom_Card: Built-in Audio - HDA Intel PCH
Symptom_Jack: Speaker, Internal
Symptom_Type: Sound works for a while, then breaks
Title: [ZenBook UX433FN_UX433FN, Realtek ALC294, Speaker, Internal] fails after 
a while
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 11/21/2018
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: UX433FN.301
dmi.board.asset.tag: ATN12345678901234567
dmi.board.name: UX433FN
dmi.board.vendor: ASUSTeK COMPUTER INC.
dmi.board.version: 1.0
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: ASUSTeK COMPUTER INC.
dmi.chassis.version: 1.0
dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvrUX433FN.301:bd11/21/2018:svnASUSTeKCOMPUTERINC.:pnZenBookUX433FN_UX433FN:pvr1.0:rvnASUSTeKCOMPUTERINC.:rnUX433FN:rvr1.0:cvnASUSTeKCOMPUTERINC.:ct10:cvr1.0:
dmi.product.family: ZenBook
dmi.product.name: ZenBook UX433FN_UX433FN
dmi.product.version: 1.0
dmi.sys.vendor: ASUSTeK COMPUTER INC.

** Affects: alsa-driver (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-bug bionic

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to alsa-driver in Ubuntu.
https://bugs.launchpad.net/bugs/1843039

Title:
  [ZenBook UX433FN_UX433FN, Realtek ALC294, Speaker, Internal] fails
  after a while

Status in alsa-driver package in Ubuntu:
  New

Bug description:
  Sound doesn't work intermittently

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: alsa-base 1.0.25+dfsg-0ubuntu5
  ProcVersionSignature: Ubuntu 5.0.0-27.28~18.04.1-generic 5.0.21
  Uname: Linux 5.0.0-27-generic x86_64
  ApportVersion: 2.20.9-0ubuntu7.7
  Architecture: amd64
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  sab7713 F pulseaudio
   /dev/snd/pcmC0D0c:   sab7713 F...m pulseaudio
  CurrentDesktop: ubuntu:GNOME
  Date: Fri Sep  6 14:07:06 2019
  InstallationDate: Installed on 2019-09-03 (2 days ago)
  InstallationMedia: Ubuntu 18.04.3 LTS "Bionic Beaver" - Release amd64 
(20190805)
  PackageArchitecture: all
  SourcePackage: alsa-driver
  Symptom: audio
  Symptom_Card: Built-in Audio - HDA Intel PCH
  Symptom_Jack: Speaker, Internal
  Symptom_Type: Sound works for a while, then breaks
  Title: [ZenBook UX433FN_UX433FN, Realtek ALC294, Speaker, Internal] fails 
after a while
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 11/21/2018
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: UX433FN.301
  dmi.board.asset.tag: ATN12345678901234567
  dmi.board.name: UX433FN
  dmi.board.vendor: ASUSTeK COMPUTER INC.
  dmi.board.version: 1.0
  dmi.chassis.asset.tag: No Asset Tag
  dmi.chassis.type: 10
  dmi.chassis.vendor: ASUSTeK COMPUTER INC.
  dmi.chassis.version: 1.0
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvrUX433FN.301:bd11/21/2018:svnASUSTeKCOMPUTERINC.:pnZenBookUX433FN_UX433FN:pvr1.0:rvnASUSTeKCOMPUTERINC.:rnUX433FN:rvr1.0:cvnASUSTeKCOMPUTERINC.:ct10:cvr1.0:
  dmi.product.family: ZenBook
  dmi.product.name: ZenBook UX433FN_UX433FN
  dmi.product.version: 1.0
  dmi.sys.vendor: ASUSTeK COMPUTER INC.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1843039/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1843007] Re: namespace: make MountFlags=shared work again

2019-09-06 Thread Francis Ginther
** Tags added: id-5d7225829edbf089d659f6d9

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1843007

Title:
  namespace: make MountFlags=shared work again

Status in systemd package in Ubuntu:
  New

Bug description:
  Systemd in Bionic fails to handle MountFlags correctly. Would you mind
  to include
  
https://github.com/systemd/systemd/commit/37ed15d7edaf59a1fc7c9e3552cd93a83f3814ef
  into Bionic? This bug seriously affects Docker > 18.6, see the Docker
  release notes for 18.09.1 (https://docs.docker.com/engine/release-
  notes/#18091).

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1843007/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1841790] Re: [FFe] Please accept systemd 241 to Eoan

2019-09-06 Thread Balint Reczey
** Changed in: systemd (Ubuntu)
   Status: Triaged => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1841790

Title:
  [FFe] Please accept systemd 241 to Eoan

Status in systemd package in Ubuntu:
  Fix Released

Bug description:
  Eoan currently has 240-6ubuntu13, but it is not used widely, Debian stable 
already has 241 and Debian testing moved to 242 last week.
  Version 241 is the safest choice for Eoan (from v240, v241 and v242) since it 
is widely tested, while going forward 20.04 will most likely ship a systemd 
release which is not released yet, probably v244+.

  Updating to v241 will allow us to carry fewer patches in Eoan and
  makes moving to the next release easier.

  The proposed package is tested in Bileto and all tests are passing:
  https://bileto.ubuntu.com/#/ticket/3789

  The final version will be 241-7ubuntu1 and I'm tidying up the
  changelog, too.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1841790/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1625944] Re: [Dell Precision 5510][Yakkety] built-in HDMI port does not work, no signal output

2019-09-06 Thread Kirill Shustov
I just installed Ubuntu 19.04 on Dell PRECISION 5510 and hdmi do not
work

➜  ~ lsb_release --all
No LSB modules are available.
Distributor ID: Ubuntu
Description:Ubuntu 19.04
Release:19.04
Codename:   disco

➜  ~ uname --all
Linux precise 5.2.11-050211-generic #201908290731 SMP Thu Aug 29 07:33:42 UTC 
2019 x86_64 x86_64 x86_64 GNU/Linux

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1625944

Title:
   [Dell Precision 5510][Yakkety]  built-in HDMI port does not work, no
  signal output

Status in xorg package in Ubuntu:
  Won't Fix

Bug description:
  Using 16.04 daily image: 20160919(downloading date)
  With testing package for 4.8 kernel: ppa:canonical-kernel-team/unstable
  Graphic chips:
  00:02.0 VGA compatible controller [0300]: Intel Corporation HD Graphics 530 
[8086:191b] (rev 06)
  01:00.0 3D controller [0302]: NVIDIA Corporation GM107GLM [Quadro M1000M] 
[10de:13b1] (rev a2)

  No signal output while plug the cable into built-in hdmi port.

  ProblemType: Bug
  DistroRelease: Ubuntu 16.10
  Package: xorg 1:7.7+13ubuntu3
  ProcVersionSignature: Ubuntu 4.8.0-11.12-generic 4.8.0-rc6
  Uname: Linux 4.8.0-11-generic x86_64
  NonfreeKernelModules: nvidia_uvm nvidia_drm nvidia_modeset nvidia
  .proc.driver.nvidia.gpus..01.00.0: Error: [Errno 21] Is a directory: 
'/proc/driver/nvidia/gpus/:01:00.0'
  .proc.driver.nvidia.registry: Binary: ""
  .proc.driver.nvidia.version:
   NVRM version: NVIDIA UNIX x86_64 Kernel Module  367.44  Wed Aug 17 22:24:07 
PDT 2016
   GCC version:  gcc version 6.2.0 20160914 (Ubuntu 6.2.0-3ubuntu15)
  .tmp.unity_support_test.0:
   
  ApportVersion: 2.20.3-0ubuntu7
  Architecture: amd64
  CompizPlugins: No value set for 
`/apps/compiz-1/general/screen0/options/active_plugins'
  CompositorRunning: compiz
  CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
  CompositorUnredirectFSW: true
  CurrentDesktop: Unity
  Date: Wed Sep 21 14:37:35 2016
  DistUpgraded: Fresh install
  DistroCodename: yakkety
  DistroVariant: ubuntu
  ExtraDebuggingInterest: Yes, including running git bisection searches
  GraphicsCard:
   Intel Corporation HD Graphics 530 [8086:191b] (rev 06) (prog-if 00 [VGA 
controller])
 Subsystem: Dell HD Graphics 530 [1028:06e5]
 Subsystem: Dell GM107GLM [Quadro M1000M] [1028:06e5]
  InstallationDate: Installed on 2016-09-19 (1 days ago)
  InstallationMedia: Ubuntu 16.10 "Yakkety Yak" - Alpha amd64 (20160918)
  Lsusb:
   Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
   Bus 001 Device 002: ID 0a5c:6410 Broadcom Corp. 
   Bus 001 Device 003: ID 0c45:6713 Microdia 
   Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
  MachineType: Dell Inc. Precision 5510
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.8.0-11-generic.efi.signed 
root=UUID=a40a640b-1533-47a4-be70-98a11eb306bc ro quiet splash vt.handoff=7
  SourcePackage: xorg
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 06/30/2016
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: 01.02.10
  dmi.board.vendor: Dell Inc.
  dmi.chassis.type: 9
  dmi.chassis.vendor: Dell Inc.
  dmi.modalias: 
dmi:bvnDellInc.:bvr01.02.10:bd06/30/2016:svnDellInc.:pnPrecision5510:pvr:rvnDellInc.:rn:rvr:cvnDellInc.:ct9:cvr:
  dmi.product.name: Precision 5510
  dmi.sys.vendor: Dell Inc.
  version.compiz: compiz 1:0.9.13.0+16.10.20160818.2-0ubuntu2
  version.ia32-libs: ia32-libs N/A
  version.libdrm2: libdrm2 2.4.70-1
  version.libgl1-mesa-dri: libgl1-mesa-dri 12.0.3-1ubuntu1
  version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
  version.libgl1-mesa-glx: libgl1-mesa-glx 12.0.3-1ubuntu1
  version.nvidia-graphics-drivers: nvidia-graphics-drivers-* N/A
  version.xserver-xorg-core: xserver-xorg-core 2:1.18.4-1ubuntu6
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.10.2-1ubuntu1
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.7.1-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20160706-1ubuntu1
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.12-2
  xserver.bootTime: Wed Sep 21 11:46:07 2016
  xserver.configfile: /etc/X11/xorg.conf
  xserver.errors:
   
  xserver.logfile: /var/log/Xorg.0.log
  xserver.version: 2:1.18.4-1ubuntu6

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/1625944/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1625944] Re: [Dell Precision 5510][Yakkety] built-in HDMI port does not work, no signal output

2019-09-06 Thread Kirill Shustov
NVIDIA drier version 430.40
Quadro M1000M (GPU 0)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1625944

Title:
   [Dell Precision 5510][Yakkety]  built-in HDMI port does not work, no
  signal output

Status in xorg package in Ubuntu:
  Won't Fix

Bug description:
  Using 16.04 daily image: 20160919(downloading date)
  With testing package for 4.8 kernel: ppa:canonical-kernel-team/unstable
  Graphic chips:
  00:02.0 VGA compatible controller [0300]: Intel Corporation HD Graphics 530 
[8086:191b] (rev 06)
  01:00.0 3D controller [0302]: NVIDIA Corporation GM107GLM [Quadro M1000M] 
[10de:13b1] (rev a2)

  No signal output while plug the cable into built-in hdmi port.

  ProblemType: Bug
  DistroRelease: Ubuntu 16.10
  Package: xorg 1:7.7+13ubuntu3
  ProcVersionSignature: Ubuntu 4.8.0-11.12-generic 4.8.0-rc6
  Uname: Linux 4.8.0-11-generic x86_64
  NonfreeKernelModules: nvidia_uvm nvidia_drm nvidia_modeset nvidia
  .proc.driver.nvidia.gpus..01.00.0: Error: [Errno 21] Is a directory: 
'/proc/driver/nvidia/gpus/:01:00.0'
  .proc.driver.nvidia.registry: Binary: ""
  .proc.driver.nvidia.version:
   NVRM version: NVIDIA UNIX x86_64 Kernel Module  367.44  Wed Aug 17 22:24:07 
PDT 2016
   GCC version:  gcc version 6.2.0 20160914 (Ubuntu 6.2.0-3ubuntu15)
  .tmp.unity_support_test.0:
   
  ApportVersion: 2.20.3-0ubuntu7
  Architecture: amd64
  CompizPlugins: No value set for 
`/apps/compiz-1/general/screen0/options/active_plugins'
  CompositorRunning: compiz
  CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
  CompositorUnredirectFSW: true
  CurrentDesktop: Unity
  Date: Wed Sep 21 14:37:35 2016
  DistUpgraded: Fresh install
  DistroCodename: yakkety
  DistroVariant: ubuntu
  ExtraDebuggingInterest: Yes, including running git bisection searches
  GraphicsCard:
   Intel Corporation HD Graphics 530 [8086:191b] (rev 06) (prog-if 00 [VGA 
controller])
 Subsystem: Dell HD Graphics 530 [1028:06e5]
 Subsystem: Dell GM107GLM [Quadro M1000M] [1028:06e5]
  InstallationDate: Installed on 2016-09-19 (1 days ago)
  InstallationMedia: Ubuntu 16.10 "Yakkety Yak" - Alpha amd64 (20160918)
  Lsusb:
   Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
   Bus 001 Device 002: ID 0a5c:6410 Broadcom Corp. 
   Bus 001 Device 003: ID 0c45:6713 Microdia 
   Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
  MachineType: Dell Inc. Precision 5510
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.8.0-11-generic.efi.signed 
root=UUID=a40a640b-1533-47a4-be70-98a11eb306bc ro quiet splash vt.handoff=7
  SourcePackage: xorg
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 06/30/2016
  dmi.bios.vendor: Dell Inc.
  dmi.bios.version: 01.02.10
  dmi.board.vendor: Dell Inc.
  dmi.chassis.type: 9
  dmi.chassis.vendor: Dell Inc.
  dmi.modalias: 
dmi:bvnDellInc.:bvr01.02.10:bd06/30/2016:svnDellInc.:pnPrecision5510:pvr:rvnDellInc.:rn:rvr:cvnDellInc.:ct9:cvr:
  dmi.product.name: Precision 5510
  dmi.sys.vendor: Dell Inc.
  version.compiz: compiz 1:0.9.13.0+16.10.20160818.2-0ubuntu2
  version.ia32-libs: ia32-libs N/A
  version.libdrm2: libdrm2 2.4.70-1
  version.libgl1-mesa-dri: libgl1-mesa-dri 12.0.3-1ubuntu1
  version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
  version.libgl1-mesa-glx: libgl1-mesa-glx 12.0.3-1ubuntu1
  version.nvidia-graphics-drivers: nvidia-graphics-drivers-* N/A
  version.xserver-xorg-core: xserver-xorg-core 2:1.18.4-1ubuntu6
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.10.2-1ubuntu1
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.7.1-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20160706-1ubuntu1
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.12-2
  xserver.bootTime: Wed Sep 21 11:46:07 2016
  xserver.configfile: /etc/X11/xorg.conf
  xserver.errors:
   
  xserver.logfile: /var/log/Xorg.0.log
  xserver.version: 2:1.18.4-1ubuntu6

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/1625944/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


Re: [Touch-packages] [Bug 1842643] Re: [ffe] Update to 1.44.6

2019-09-06 Thread Iain Lane
On Fri, Sep 06, 2019 at 11:35:47AM -, Łukasz Zemczak wrote:
> This looks good in overall. I trust that you are confident that the new 
> pango1.0 will migrate without any bigger issues, especially seeing how many 
> reverse-dependencies it has. I also hope there is no ABI break introduced in 
> the two new versions? The changelogs do not seem to mention anything 
> explicitly. Wouldn't want us to require additional rebuilds so late in the 
> cycle.
> Have you tested the packages from the PPA?

I'm running with them, it seems fine to me. I think I'd want to check
with others in the desktop team before going ahead, though.

-- 
Iain Lane  [ i...@orangesquash.org.uk ]
Debian Developer   [ la...@debian.org ]
Ubuntu Developer   [ la...@ubuntu.com ]

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pango1.0 in Ubuntu.
https://bugs.launchpad.net/bugs/1842643

Title:
  [ffe] Update to 1.44.6

Status in pango1.0 package in Ubuntu:
  New

Bug description:
  There are a lot of changes in pango1.0 since the version we currently
  have in eoan. We held off updating because there was a test failure.
  This has been resolved in the latest release, so we'd like to go for
  the update now.

  Overview of changes in 1.44.6
  =
  - docs: Fix symbol indices
  - Fix Thai line breaking
  - Re-add symbols needed by some bindings
  - Don't insert hyphens for some languages
  - Fix a crash with hyphenation

  Overview of changes in 1.44.5
  =
  - Revert a broken change (causing crashes on OS X)

  Overview of changes in 1.44.4
  =
  - Add an insert-hyphens attribute
  - Reinstate the return type of pango_fc_font_lock_face
  - Fix a problem with ellipses getting the wrong font
  - fc: Improve filtering by font format
  - Re-add PangoFcFont to public headers
  - Install PangoFc and PangoOT introspection files
  - Fix ink rectangles to have positive height
  - Fix mark positioning
  - Switch to using harfbuzz for metrics

  Overview of changes in 1.44.3
  =
  - Install pango-ot headers
  - Make subpixel positioning optional
  - fc: Ignore fonts with unsupported formats

  Overview of changes in 1.44.2
  =
  - Disable ligatures when letterspacing
  - Set design coords on hb_font_t
  - Expose more font options in pango-view
  - OS X: Make 'system-ui' font work
  - Keep deprecated pango-fc apis in headers
  - Make hex boxes work, always
  - introspection: Various build fixes
  - introspection: Add PangoPT, PangoFT2 namespaces
  - layout: Make the new line-spacing opt-in

  Overview of changes in 1.44.1
  =
  - Fix a crash with allow_break attributes
  - Fix Emoji spacing
  - Fix up includes and pkg-config requires
  - Correct some cases for hyphen insertion

  Overview of changes in 1.44.0
  =
  - Use harfbuzz for shaping on all platforms
  - Stop using freetype for font loading; this
  drops support for type1 and bitmap fonts
  - Add a getter for hb_font_t
  - Make PangoCoverage a GObject
  - Add a pango_tailor_break api
  - font metrics: Add line height
  - layout: Support line spacing
  - layout: Draw hyphens for line breaks
  - Add an attribute to suppress line breaking
  - cairo: Don't render hex boxes for space
  - Add an attribute to show invisible characters
  - Stop quantizing glyph positions
  - Add tests for itemization and line breaking
  - Remove language and shape engine remnants
  - Rename meson options: gtk_doc, introspection
  - Require GLib 2.59.2
  - Require Harfbuzz 2.0

  Overview of changes in 1.43.0
  =
  - Drop autotools
  - Drop Visual Studio build
  - Build with meson everywhere
  - Update Emoji tables for Unicode 11
  - Update test data for Unicode 11
  - Fix a crash with Thai breaking
  - Fix a crash with font variations
  - Deprecate bidi apis in favor of fribidi
  - Add a variable font family api
  - Improve font fallback handling on win32

  And see posts from upstream

  https://blogs.gnome.org/mclasen/2019/07/19/pango-updates/
  https://blogs.gnome.org/mclasen/2019/07/27/more-text-rendering-updates/
  https://blogs.gnome.org/mclasen/2019/08/07/pango-1-44-wrap-up/

  for the new features.

  We'd like to update to it, if possible.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/pango1.0/+bug/1842643/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1841382] Re: Various programs crashed with SIGSEGV in g_str_hash() from g_hash_table_lookup_node() / g_hash_table_lookup() from accountsservice 0.6.55-0ubuntu5/6

2019-09-06 Thread Launchpad Bug Tracker
This bug was fixed in the package accountsservice - 0.6.55-0ubuntu8

---
accountsservice (0.6.55-0ubuntu8) eoan; urgency=medium

  * debian/rules:
- Compile with -Dsystemd=true to fix libaccountsservice not working properly
  (LP: #1841382)

 -- Robert Ancell   Fri, 06 Sep 2019
15:33:47 +1200

** Changed in: accountsservice (Ubuntu)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to accountsservice in Ubuntu.
https://bugs.launchpad.net/bugs/1841382

Title:
  Various programs crashed with SIGSEGV in g_str_hash() from
  g_hash_table_lookup_node() / g_hash_table_lookup() from
  accountsservice 0.6.55-0ubuntu5/6

Status in accountsservice:
  Fix Released
Status in accountsservice package in Ubuntu:
  Fix Released

Bug description:
  https://errors.ubuntu.com/problem/3a817938d76d231fdfc8f698392fbf5e3724084f
  https://errors.ubuntu.com/problem/597be858df957473f357a9249b002b0e39f42781
  https://errors.ubuntu.com/problem/0075340d0f484f9b5d37821d3023970cc12d

  I do not know what triggered the crash.

  ProblemType: Crash
  DistroRelease: Ubuntu 19.10
  Package: gnome-shell 3.32.2-2ubuntu1
  ProcVersionSignature: Ubuntu 5.2.0-10.11-generic 5.2.4
  Uname: Linux 5.2.0-10-generic x86_64
  ApportVersion: 2.20.11-0ubuntu7
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Sun Aug 25 20:45:09 2019
  DisplayManager: gdm3
  ExecutablePath: /usr/bin/gnome-shell
  InstallationDate: Installed on 2019-08-24 (1 days ago)
  InstallationMedia: Ubuntu 19.10 "Eoan Ermine" - Alpha amd64 (20190819)
  ProcCmdline: /usr/bin/gnome-shell
  ProcEnviron:
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=de_DE.UTF-8
   SHELL=/bin/bash
  RelatedPackageVersions: mutter-common 3.32.2+git20190711-2ubuntu1
  Signal: 11
  SourcePackage: gnome-shell
  StacktraceTop:
   g_str_hash () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
   g_hash_table_lookup () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
   ?? () from /lib/x86_64-linux-gnu/libaccountsservice.so.0
   ?? ()
   ?? ()
  Title: gnome-shell crashed with SIGSEGV in g_str_hash()
  UpgradeStatus: No upgrade log present (probably fresh install)
  UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
  separator:

To manage notifications about this bug go to:
https://bugs.launchpad.net/accountsservice/+bug/1841382/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1842902] Re: FFe: create zfs dataset for each user automatically

2019-09-06 Thread Didier Roche
Hey Alex! Thanks for looking at it.

Sure, I've added some checks for open/dup2 (and exiting the child).

On execl, I've kept the similar logic than the rest of the code, meaning:
- don't check for execl return value.
- if something bad happen, execl returns.
- we go on the next line which is a perror() + exit.

On the strrstr(), I found it more clear than the offset and future-proof
than hardcoding *pname. I don't have a strong opinion though TBH, so I
have just hardcoded "zsys" directly as you suggested.

I've attached a new version of the patch.

** Patch added: "1015_add_zsys_support.patch"
   
https://bugs.launchpad.net/ubuntu/+source/zsys/+bug/1842902/+attachment/5287090/+files/1015_add_zsys_support.patch

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to shadow in Ubuntu.
https://bugs.launchpad.net/bugs/1842902

Title:
  FFe: create zfs dataset for each user automatically

Status in shadow package in Ubuntu:
  New
Status in zsys package in Ubuntu:
  New

Bug description:
  Part of the zsys spec is creating/associating one user dataset for
  each HOME user.

  As zsys is an official experimentation for 19.10, we would like to
  include this feature in a safe way, and reachable for any tool
  creating users (adduser, gnome-control-center, ubiquity…). Those are
  using useradd under the scene.

  For this, the proposed implementation:
  - patch useradd trying to execute "zsys useradd create USER HOMEDIR". If zsys 
isn't present or zsys returns a status code != 0 (which will be the case if the 
running system isn't a zsys one: pure zfs or non zfs like / on ext4), it will 
fallback to mkdir. Then the code does the usual chmod()
  - patch usermod, trying as well to execute "zsys useradd rename-home OLDHOME 
NEWHOME". Same failing reason (not a zsys system, not installed, OLDHOME isn't 
a zsys handled datasets) and fallback to rename(). Then the code does the usual 
chmod().

  Tested with and without zsys installed, the code does what we expect.

  I'm attaching the shadow (useradd/usermod) patches, as you can see it's very 
minimal.
  A new ZSYS release will be needed (https://github.com/ubuntu/zsys). As you 
can see, there are quite some commits since the last release, but it's all 
baked (as usual) by a huge suite of tests (in ZFS and machine layers) with 
corner cases tested and such. I'm confident on that change.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/shadow/+bug/1842902/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1757884] Re: Please port your package away from Qt 4

2019-09-06 Thread Bug Watch Updater
** Changed in: syncevolution (Debian)
   Status: New => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to syncevolution in Ubuntu.
https://bugs.launchpad.net/bugs/1757884

Title:
  Please port your package away from Qt 4

Status in syncevolution package in Ubuntu:
  New
Status in syncevolution package in Debian:
  Fix Released

Bug description:
  Currently Qt 4 has been dead upstream and we are starting to have
  problems maintaining it, like for example in the OpenSSL 1.1 support
  case.

  Following in the footsteps of Debian[1], all packages directly or
  indirectly depending on qt4-x11 (like this one) must either get ported
  to Qt 5 and uploaded to the development release or get removed (by
  means of demotion to -proposed or removal of the package) before the
  19.04 release. If it is possible to port your package by the 18.10
  release, please do so.

  If you have any questions about porting or this transition, please ask
  in #ubuntu-qt (preferred) or directly ping me

  [1] https://wiki.debian.org/Qt4Removal

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/syncevolution/+bug/1757884/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1803993] Re: Password appears on the VT1 screen

2019-09-06 Thread Dan Streetman
added info from previous comment to the upstream freedesktop bug.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1803993

Title:
  Password appears on the VT1 screen

Status in gdm3 package in Ubuntu:
  Invalid
Status in plymouth package in Ubuntu:
  Invalid
Status in systemd package in Ubuntu:
  Confirmed

Bug description:
  [Impact]

   * The keyboard on the graphical login screen started on VT1 may stop
  working and or keypresses including passwords are leaked to the
  terminal console running 'behind' the graphical login screen or
  environment.

  [Test Case]

   * Reboot after installing the fixed systemd package.
   * Install sysdig
   * Start sysdig on a remote connection or on a terminal console:
$ sudo sysdig evt.type=ioctl | grep  request=4B4
   * While sysdig is running log in and out 3 times in GDM and press a few keys 
in the graphical session to see if keyboard still works
   * Log in and out on an other terminal console, too, running a few commands 
while being logged in to ensure that keyboard is working.
   * Observe that on terminal consoles the monitored keyboard setter ioctl is 
called with argument=3, but where the graphical screen is active only 
argument=4 is used, unlike with the buggy version observed in 
https://bugs.launchpad.net/ubuntu/+source/gdm3/+bug/1803993/comments/14

  [Regression Potential]

   * The fix checks the current keyboard mode of the VT and allows only
  safe mode switches. The potential regression could be not allowing a
  valid mode switch keeping a keyboard in a non-operational mode.
  Testing covers that by typing the keyboard.

  
  (continued from bug 1767918)

  This was found when an administrative error made /home directory
  inaccessible.  Any users that tried to login after that, were not able
  to (which is expected) but their password appears on the VT1 screen.
  Under normal circumstances, VT1 is not visible. But once the system
  was sent into this compromised mode, one can press ctrl+alt+F1 and
  then ctrl+alt+F2 and get a momentary glance at VT1. One can keep
  toggling between these key combinations in order to make out the
  password(s) on VT1.

  As a further test, I wanted to see if a non-super user could cause
  this condition, and it is in fact possible. As a regular user, I made
  their own home directory not writable and then removed ~/.config and
  logged out. Then logged in as that user again, and although that user
  can't login the system does go into that mode where passwords appear
  on VT1 and are viewable with the key combinations mentioned herein.
  Further, any other users that login will see no problem, but when they
  logon their passwords also appear on VT1 and are viewable.

  ProblemType: Bug
  DistroRelease: Ubuntu 18.04
  Package: gdm3 3.28.3-0ubuntu18.04.3
  Uname: Linux 4.19.2-041902-generic x86_64
  ApportVersion: 2.20.9-0ubuntu7.5
  Architecture: amd64
  CurrentDesktop: ubuntu:GNOME
  Date: Mon Nov 19 08:32:59 2018
  InstallationDate: Installed on 2018-08-25 (85 days ago)
  InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Release amd64 (20180426)
  ProcEnviron:
   TERM=xterm-256color
   PATH=(custom, no user)
   XDG_RUNTIME_DIR=
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  SourcePackage: gdm3
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gdm3/+bug/1803993/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1721704] Re: Printer settings stuck on loading drivers database

2019-09-06 Thread pumpkinbeer
Still happening on 18.04 - slight difference - I can't get past the
"Select Printer Driver" screen while "Loading drivers database..." and
the swirling busy icon are up, so I don't have the printer at all.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ubuntu-settings in Ubuntu.
https://bugs.launchpad.net/bugs/1721704

Title:
  Printer settings stuck on loading drivers database

Status in ubuntu-settings package in Ubuntu:
  Confirmed

Bug description:
  1) Description:   Ubuntu Artful Aardvark (development branch)
 Release:   17.10
  2) ubuntu-settings:
 Installed: 17.10.17
 Candidate: 17.10.17
  3) The printer configuration goes fine and I can print
  4) Printer settings stuck on loading drivers database and finally no drivers 
list available. Only 'cancel' button active.

  Note: I'm trying to configure a Brother HL-2030 connected to Network
  through a FritzBox 7940 router. The printer works fine both on Fedora
  and macOS X systems. I opened 'System Settings', then select 'Devices'
  > 'Printers' > 'Add a Printer'. I entered the router address and the
  window shows me correctly a 'JetDirect-Printer' on 192.168.178.1. I
  selected the printer and pressed the 'Add' button, a window 'Select
  Printer Driver' appears and stuck with 'Loading drivers database...'.
  After about 2 minutes, stopped loading and remains blank. No drivers
  selection is available and I can only push the 'Cancel' button.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-settings/+bug/1721704/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp